
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b1 = org.joda.time.DateTimeUtils.isContiguous(readablePartial0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField2 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() {}
// Defects4J: flaky method
//   @Test
//   public void test006() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }
// 
// 
//     long long0 = org.joda.time.DateTimeUtils.currentTimeMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long0 == 1456070907615L);
// 
//   }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)true, (java.lang.Object)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
    org.joda.time.ReadWritableInstant readWritableInstant1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i4 = dateTimeFormatter0.parseInto(readWritableInstant1, "hi!", 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("hi!", 10, 10, 10);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendShortText(dateTimeFieldType4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendWeekyear((-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder3.appendFractionOfDay((-1), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.ZonedChronology zonedChronology2 = org.joda.time.chrono.ZonedChronology.getInstance(chronology0, dateTimeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.joda.time.DateTimeUtils.MillisProvider millisProvider0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setCurrentMillisProvider(millisProvider0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(10, (-1), 1, (-1), 0, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1, 1, 100);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(100L);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
    org.joda.time.format.DateTimeParser dateTimeParser1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
    java.util.Locale locale4 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = dateTimeFormatter2.withLocale(locale4);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate7 = dateTimeFormatter2.parseLocalDate("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendPattern("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(1L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(8, 8, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.joda.time.DateTimeUtils.setCurrentMillisSystem();

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendWeekyear(1, 100);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder17 = dateTimeFormatterBuilder13.appendFraction(dateTimeFieldType14, 100, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatterBuilder0.toFormatter();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendFractionOfSecond((-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter4);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime.Property property4 = dateTime3.weekyear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = dateTime3.toString("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.joda.time.Chronology chronology7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(0, (-1), 100, 0, 0, (-1), 0, chronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() {}
// Defects4J: flaky method
//   @Test
//   public void test029() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime7 = dateTime1.withHourOfDay((-1));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 8);
// 
//   }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(100L, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 800L);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
    org.joda.time.format.DateTimeParser dateTimeParser1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
    java.lang.StringBuffer stringBuffer4 = null;
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
    org.joda.time.DateTime dateTime8 = dateTime6.withMillis(1L);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter2.printTo(stringBuffer4, (org.joda.time.ReadableInstant)dateTime6);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 0L, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(8, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 80);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.joda.time.Chronology chronology7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(1, 80, 7, 10, 8, 0, 8, chronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)7, (java.lang.Number)8, (java.lang.Number)(-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    long long1 = org.joda.time.DateTimeUtils.getDurationMillis(readableDuration0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(short)10, (java.lang.Number)(short)1, (java.lang.Number)10.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField2 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(8, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendWeekyear(1, 100);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendShortText(dateTimeFieldType14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimePrinter dateTimePrinter1 = dateTimeFormatterBuilder0.toPrinter();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder0.appendHalfdayOfDayText();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder0.appendDecimal(dateTimeFieldType5, 4020000, 7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime((java.lang.Object)'4', dateTimeZone3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(52, 0, 0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, 100, 52, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecond();
    // The following exception was thrown during execution in test generation
    try {
      long long2 = dateTimeFormatter0.parseMillis("15:59:59.999");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "+01:07");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(4020000, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-4020000));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder10.appendDayOfMonth(8);
    org.joda.time.format.DateTimePrinter dateTimePrinter13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder12.append(dateTimePrinter13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
    org.joda.time.format.DateTimeParser dateTimeParser1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter2.printTo(writer4, 800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField3 = new org.joda.time.field.RemainderDateTimeField(dateTimeField0, dateTimeFieldType1, (-4020000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1, 10, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendTwoDigitWeekyear(0, false);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder7.appendFractionOfHour((-4020000), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    int i11 = dateTimeZone9.getOffsetFromLocal(1L);
    java.lang.String str13 = dateTimeZone9.getName(0L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(7, (-4020000), 52, 1, 0, 4020000, 80, dateTimeZone9);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+01:07"+ "'", str13.equals("+01:07"));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
    org.joda.time.format.DateTimeParser dateTimeParser1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime5 = dateTimeFormatter2.parseLocalDateTime("PST");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(1L);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField1 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() {}
// Defects4J: flaky method
//   @Test
//   public void test064() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecond();
//     java.lang.Appendable appendable1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
//     org.joda.time.DateTime dateTime7 = dateTime3.withYearOfCentury(8);
//     int i8 = dateTime7.getSecondOfMinute();
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(appendable1, (org.joda.time.ReadableInstant)dateTime7);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 28);
// 
//   }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes((-1), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(100, 7, 80, (-1), (-1), dateTimeZone7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    java.io.File file0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider(file0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-3119990L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3119990L));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField3 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField1, dateTimeFieldType2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecond();
    java.lang.Appendable appendable1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
    org.joda.time.DateTime.Property property6 = dateTime5.millisOfSecond();
    int i7 = dateTime5.getMinuteOfHour();
    org.joda.time.DateTime dateTime9 = dateTime5.plus(1456070907615L);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, (org.joda.time.ReadableInstant)dateTime9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(800L);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendTwoDigitWeekyear(0, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder0.appendPattern("");
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder0.appendDayOfMonth(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder0.appendPattern("");
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder18 = dateTimeFormatterBuilder0.appendTimeZoneOffset("19691231T160000.001-0800", false, 4020000, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimePrinter dateTimePrinter4 = null;
    org.joda.time.format.DateTimeParser dateTimeParser5 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter4, dateTimeParser5);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = dateTimeFormatter6.withOffsetParsed();
    java.util.Locale locale8 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = dateTimeFormatter6.withLocale(locale8);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder0.append(dateTimeFormatter9);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime12 = dateTimeFormatter9.parseLocalDateTime("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-3119990L));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(28, 28, (-4020000), (-4020000), 2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone4 = iSOChronology1.getZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime((java.lang.Object)'4', (org.joda.time.Chronology)iSOChronology1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecond();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = dateTimeFormatter0.parseLocalDate("15:59:59.999");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)21, "2016-02-21T08:08:28.422-08:00");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime((-4020000), 1, (-1), 80, 29, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeekDay();
    java.lang.Appendable appendable1 = null;
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, dateTimeFieldType2, 488, 7, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("15:59:59.999", "");

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
    org.joda.time.DurationField durationField3 = iSOChronology1.seconds();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField4 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime8 = dateTime1.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str12 = dateTimeZone11.toString();
    org.joda.time.DateTime dateTime13 = dateTime1.withZoneRetainFields(dateTimeZone11);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime15 = dateTime1.withDayOfWeek(10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:07"+ "'", str12.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
    org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
    boolean b7 = dateTime4.isEqualNow();
    int i8 = dateTime4.getHourOfDay();
    org.joda.time.DateTime.Property property9 = dateTime4.dayOfMonth();
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.DateTime dateTime11 = dateTime4.toDateTime(dateTimeZone10);
    org.joda.time.LocalDate localDate12 = dateTime11.toLocalDate();
    int[] i_array14 = iSOChronology0.get((org.joda.time.ReadablePartial)localDate12, 100L);
    org.joda.time.DateTimeZone dateTimeZone15 = iSOChronology0.getZone();
    // The following exception was thrown during execution in test generation
    try {
      long long21 = iSOChronology0.getDateTimeMillis(800L, 21, 80, (-4020000), 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(10L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone7 = iSOChronology4.getZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime((java.lang.Object)illegalFieldValueException2, dateTimeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, (-3119990L), 8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    boolean b3 = dateTime1.isEqual(0L);
    org.joda.time.DateTime dateTime5 = dateTime1.minusDays((-1));
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder6.appendYear(0, 100);
    org.joda.time.format.DateTimePrinter dateTimePrinter10 = null;
    org.joda.time.format.DateTimeParser dateTimeParser11 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter12 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter10, dateTimeParser11);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = dateTimeFormatter12.withOffsetParsed();
    java.util.Locale locale14 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = dateTimeFormatter12.withLocale(locale14);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder6.append(dateTimeFormatter15);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str17 = dateTime1.toString(dateTimeFormatter15);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("+01:07");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 8, 8, 15);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000", 0, (-28800000), 21);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(7, 80, 21, 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 23);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder8.appendTimeZoneId();
    boolean b10 = dateTimeFormatterBuilder8.canBuildFormatter();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder8.appendTimeZoneOffset("PST", true, 0, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.clockhourOfDay();
    org.joda.time.DurationField durationField9 = iSOChronology7.seconds();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(0, 7, 21, 0, 23, (-28800000), (-4020000), (org.joda.time.Chronology)iSOChronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendTimeZoneShortName();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendPattern("1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(100L, 800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 80000);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder0.appendWeekOfWeekyear(8);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder6.appendWeekyear(4020000, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime((java.lang.Object)4020000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.monthOfYear();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField1, 15, 15, 7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
    org.joda.time.DurationField durationField4 = iSOChronology1.minutes();
    long long7 = durationField4.subtract(10L, 52);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField8 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-3119990L));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
    org.joda.time.format.DateTimeParser dateTimeParser1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
    java.util.Locale locale4 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = dateTimeFormatter2.withLocale(locale4);
    java.io.Writer writer6 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter7.withZoneUTC();
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    boolean b13 = dateTime10.isEqualNow();
    int i14 = dateTime10.getHourOfDay();
    org.joda.time.DateTime.Property property15 = dateTime10.dayOfMonth();
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.DateTime dateTime17 = dateTime10.toDateTime(dateTimeZone16);
    org.joda.time.LocalDate localDate18 = dateTime17.toLocalDate();
    java.lang.String str19 = dateTimeFormatter7.print((org.joda.time.ReadablePartial)localDate18);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter2.printTo(writer6, (org.joda.time.ReadablePartial)localDate18);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str19.equals("1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
    org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
    boolean b7 = dateTime4.isEqualNow();
    int i8 = dateTime4.getHourOfDay();
    org.joda.time.DateTime.Property property9 = dateTime4.dayOfMonth();
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.DateTime dateTime11 = dateTime4.toDateTime(dateTimeZone10);
    org.joda.time.LocalDate localDate12 = dateTime11.toLocalDate();
    int[] i_array14 = iSOChronology0.get((org.joda.time.ReadablePartial)localDate12, 100L);
    org.joda.time.ReadablePeriod readablePeriod15 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array18 = iSOChronology0.get(readablePeriod15, (-1L), (-3119990L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    java.lang.String str2 = dateTimeFormatter0.print(1L);
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer3, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "19691231T160000.001-0800"+ "'", str2.equals("19691231T160000.001-0800"));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unsupportedDurationField1.getValue(100L, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime1.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    boolean b13 = dateTime10.isEqualNow();
    org.joda.time.Chronology chronology14 = null;
    org.joda.time.DateTime dateTime15 = dateTime10.withChronology(chronology14);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    org.joda.time.DateTime dateTime18 = dateTime15.withPeriodAdded(readablePeriod16, 8);
    org.joda.time.DateTime dateTime20 = dateTime18.plusYears(7);
    org.joda.time.ReadableDuration readableDuration21 = null;
    org.joda.time.DateTime dateTime23 = dateTime20.withDurationAdded(readableDuration21, 7);
    int i24 = dateTime1.compareTo((org.joda.time.ReadableInstant)dateTime23);
    org.joda.time.MutableDateTime mutableDateTime25 = dateTime23.toMutableDateTime();
    java.util.GregorianCalendar gregorianCalendar26 = dateTime23.toGregorianCalendar();
    org.joda.time.DateTime dateTime28 = dateTime23.withYear(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime30 = dateTime28.withWeekOfWeekyear(2000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
    org.joda.time.DateTime dateTime8 = dateTime6.withMillis(1L);
    boolean b9 = dateTime6.isEqualNow();
    int i10 = dateTime6.getHourOfDay();
    org.joda.time.DateTime.Property property11 = dateTime6.dayOfMonth();
    org.joda.time.Chronology chronology12 = dateTime6.getChronology();
    org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(chronology12);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = dateTimeFormatter14.withZoneUTC();
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone16);
    org.joda.time.DateTime dateTime19 = dateTime17.withMillis(1L);
    boolean b20 = dateTime17.isEqualNow();
    int i21 = dateTime17.getHourOfDay();
    org.joda.time.DateTime.Property property22 = dateTime17.dayOfMonth();
    org.joda.time.DateTimeZone dateTimeZone23 = null;
    org.joda.time.DateTime dateTime24 = dateTime17.toDateTime(dateTimeZone23);
    org.joda.time.LocalDate localDate25 = dateTime24.toLocalDate();
    java.lang.String str26 = dateTimeFormatter14.print((org.joda.time.ReadablePartial)localDate25);
    org.joda.time.DateTime dateTime27 = dateTime13.withFields((org.joda.time.ReadablePartial)localDate25);
    java.util.Locale locale28 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str29 = offsetDateTimeField4.getAsText((org.joda.time.ReadablePartial)localDate25, locale28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str26.equals("1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    org.joda.time.LocalDateTime localDateTime10 = dateTime6.toLocalDateTime();
    org.joda.time.DateTime dateTime12 = dateTime6.plus(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDateTimeNoMillis();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField2 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimePrinter dateTimePrinter4 = null;
    org.joda.time.format.DateTimeParser dateTimeParser5 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter4, dateTimeParser5);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = dateTimeFormatter6.withOffsetParsed();
    java.util.Locale locale8 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = dateTimeFormatter6.withLocale(locale8);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder0.append(dateTimeFormatter9);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder0.appendMonthOfYearShortText();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder11.appendDecimal(dateTimeFieldType12, 2, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendTwoDigitWeekyear(0, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder7.appendTimeZoneName();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder7.appendTimeZoneOffset("", "Pacific Standard Time", false, 0, 488);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(2000, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4000);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i3 = unsupportedDurationField1.getValue((-3119990L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
    java.lang.String str8 = offsetDateTimeField4.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField10 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField4, dateTimeFieldType9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1456076907615L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unsupportedDurationField1.getValue(99L, 800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("minuteOfDay");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() {}
// Defects4J: flaky method
//   @Test
//   public void test124() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfDay();
//     org.joda.time.DurationField durationField11 = iSOChronology9.seconds();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     int i17 = dateTime13.getHourOfDay();
//     org.joda.time.DateTime.Property property18 = dateTime13.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime13.toDateTime(dateTimeZone19);
//     org.joda.time.LocalDate localDate21 = dateTime20.toLocalDate();
//     int[] i_array23 = iSOChronology9.get((org.joda.time.ReadablePartial)localDate21, 100L);
//     int i24 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate21);
//     java.util.Locale locale27 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long28 = offsetDateTimeField4.set((-1L), "", locale27);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
// 
//   }

  @Test
  public void test125() {}
// Defects4J: flaky method
//   @Test
//   public void test125() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfDay();
//     org.joda.time.DurationField durationField11 = iSOChronology9.seconds();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     int i17 = dateTime13.getHourOfDay();
//     org.joda.time.DateTime.Property property18 = dateTime13.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime13.toDateTime(dateTimeZone19);
//     org.joda.time.LocalDate localDate21 = dateTime20.toLocalDate();
//     int[] i_array23 = iSOChronology9.get((org.joda.time.ReadablePartial)localDate21, 100L);
//     int i24 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.DateTimeZone dateTimeZone25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.DateTime dateTime28 = dateTime26.withMillis(1L);
//     org.joda.time.DateTime dateTime30 = dateTime26.withYearOfCentury(8);
//     org.joda.time.DateTime dateTime33 = dateTime26.withDurationAdded(1456070907615L, 100);
//     org.joda.time.DateTimeZone dateTimeZone36 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
//     java.lang.String str37 = dateTimeZone36.toString();
//     org.joda.time.DateTime dateTime38 = dateTime26.withZoneRetainFields(dateTimeZone36);
//     java.lang.String str40 = dateTimeZone36.getName(1456070907615L);
//     boolean b42 = dateTimeZone36.isStandardOffset(1456070907615L);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime43 = new org.joda.time.DateTime((java.lang.Object)i24, dateTimeZone36);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str37 + "' != '" + "+01:07"+ "'", str37.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str40 + "' != '" + "+01:07"+ "'", str40.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == true);
// 
//   }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDateTimeNoMillis();
    boolean b1 = dateTimeFormatter0.isOffsetParsed();
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = dateTimeFormatter0.print(readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test127() {}
// Defects4J: flaky method
//   @Test
//   public void test127() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }
// 
// 
//     org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
//     org.joda.time.format.DateTimeParser dateTimeParser1 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
//     java.lang.StringBuffer stringBuffer4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = null;
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.DateTime dateTime8 = dateTime6.withMillis(1L);
//     boolean b9 = dateTime6.isEqualNow();
//     int i10 = dateTime6.getHourOfDay();
//     org.joda.time.DateTime.Property property11 = dateTime6.dayOfMonth();
//     org.joda.time.Chronology chronology12 = dateTime6.getChronology();
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(chronology12);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = dateTimeFormatter14.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.DateTime dateTime19 = dateTime17.withMillis(1L);
//     boolean b20 = dateTime17.isEqualNow();
//     int i21 = dateTime17.getHourOfDay();
//     org.joda.time.DateTime.Property property22 = dateTime17.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone23 = null;
//     org.joda.time.DateTime dateTime24 = dateTime17.toDateTime(dateTimeZone23);
//     org.joda.time.LocalDate localDate25 = dateTime24.toLocalDate();
//     java.lang.String str26 = dateTimeFormatter14.print((org.joda.time.ReadablePartial)localDate25);
//     org.joda.time.DateTime dateTime27 = dateTime13.withFields((org.joda.time.ReadablePartial)localDate25);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter3.printTo(stringBuffer4, (org.joda.time.ReadablePartial)localDate25);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str26.equals("1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
// 
//   }

  @Test
  public void test128() {}
// Defects4J: flaky method
//   @Test
//   public void test128() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField12 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 8);
//     long long15 = offsetDateTimeField12.add(1456070907615L, 100L);
//     java.lang.String str16 = offsetDateTimeField12.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfDay();
//     org.joda.time.DurationField durationField19 = iSOChronology17.seconds();
//     org.joda.time.DateTimeZone dateTimeZone20 = null;
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.DateTime dateTime23 = dateTime21.withMillis(1L);
//     boolean b24 = dateTime21.isEqualNow();
//     int i25 = dateTime21.getHourOfDay();
//     org.joda.time.DateTime.Property property26 = dateTime21.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone27 = null;
//     org.joda.time.DateTime dateTime28 = dateTime21.toDateTime(dateTimeZone27);
//     org.joda.time.LocalDate localDate29 = dateTime28.toLocalDate();
//     int[] i_array31 = iSOChronology17.get((org.joda.time.ReadablePartial)localDate29, 100L);
//     int i32 = offsetDateTimeField12.getMinimumValue((org.joda.time.ReadablePartial)localDate29);
//     org.joda.time.chrono.ISOChronology iSOChronology34 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField35 = iSOChronology34.clockhourOfDay();
//     org.joda.time.DurationField durationField36 = iSOChronology34.seconds();
//     org.joda.time.DateTimeZone dateTimeZone37 = null;
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(dateTimeZone37);
//     org.joda.time.DateTime dateTime40 = dateTime38.withMillis(1L);
//     boolean b41 = dateTime38.isEqualNow();
//     int i42 = dateTime38.getHourOfDay();
//     org.joda.time.DateTime.Property property43 = dateTime38.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone44 = null;
//     org.joda.time.DateTime dateTime45 = dateTime38.toDateTime(dateTimeZone44);
//     org.joda.time.LocalDate localDate46 = dateTime45.toLocalDate();
//     int[] i_array48 = iSOChronology34.get((org.joda.time.ReadablePartial)localDate46, 100L);
//     java.util.Locale locale50 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array51 = offsetDateTimeField4.set((org.joda.time.ReadablePartial)localDate29, 488, i_array48, "+01:07", locale50);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str16.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b41 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array48);
// 
//   }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.parse("minuteOfDay");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.parse("PST");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.DataOutput dataOutput2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("2016-02-21T08:08:28.422-08:00", dataOutput2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("15:59:59.999", 4000, 21, 4000, 'a', (-4020000), 70, 52, true, 908);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTimeNoMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(58080099L, 1456076907615L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeekDay();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long6 = offsetDateTimeField4.roundCeiling(100L);
    org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
    org.joda.time.ReadablePartial readablePartial8 = null;
    java.util.Locale locale9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = offsetDateTimeField4.getAsText(readablePartial8, locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField7);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(60000L, 968);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 58080000L);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)0.0d, (java.lang.Number)99L, (java.lang.Number)1456076907615L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(19, 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 437);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder8 = dateTimeZoneBuilder0.addCutover(2000, 'a', 28, 0, 8, true, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getValueAsLong(100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder8.appendTimeZoneId();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder9.appendHourOfHalfday((-4020000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, 437, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = dateTimeFormatter0.parseLocalDate("Pacific Standard Time");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.joda.time.DateTime dateTime0 = new org.joda.time.DateTime();

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = unsupportedDurationField1.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology0.year();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.year();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withDefaultYear(488);
    org.joda.time.DateTimeZone dateTimeZone3 = dateTimeFormatter0.getZone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeZone3);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(1456076907615L, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder3.appendMonthOfYearText();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder4.appendDecimal(dateTimeFieldType5, 1970, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.DataOutput dataOutput2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("1969-12-31T16:00:00", dataOutput2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder3.appendMonthOfYearText();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder4.appendSignedDecimal(dateTimeFieldType5, 10, 80000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    int i4 = dateTimeZone2.getOffsetFromLocal(1L);
    long long6 = dateTimeZone2.convertUTCToLocal(1456070907615L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1456074927615L);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getMillis(220921680010L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    int i6 = dateTime5.getSecondOfMinute();
    org.joda.time.DateTime dateTime8 = dateTime5.minusMinutes(4000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);

  }

  @Test
  public void test159() {}
// Defects4J: flaky method
//   @Test
//   public void test159() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
//     org.joda.time.format.DateTimePrinter dateTimePrinter1 = dateTimeFormatter0.getPrinter();
//     java.io.Writer writer2 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField4 = iSOChronology3.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology3.clockhourOfDay();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = dateTimeFormatter6.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone8 = null;
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.DateTime dateTime11 = dateTime9.withMillis(1L);
//     boolean b12 = dateTime9.isEqualNow();
//     int i13 = dateTime9.getHourOfDay();
//     org.joda.time.DateTime.Property property14 = dateTime9.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime9.toDateTime(dateTimeZone15);
//     org.joda.time.LocalDate localDate17 = dateTime16.toLocalDate();
//     java.lang.String str18 = dateTimeFormatter6.print((org.joda.time.ReadablePartial)localDate17);
//     int[] i_array20 = iSOChronology3.get((org.joda.time.ReadablePartial)localDate17, 58080000L);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(writer2, (org.joda.time.ReadablePartial)localDate17);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimePrinter1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str18.equals("1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array20);
// 
//   }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(0, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test161() {}
// Defects4J: flaky method
//   @Test
//   public void test161() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.toDateTime(dateTimeZone7);
//     org.joda.time.LocalDate localDate9 = dateTime8.toLocalDate();
//     org.joda.time.DateTime.Property property10 = dateTime8.year();
//     java.util.Locale locale12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str13 = dateTime8.toString("19700101T010700.001+0107", locale12);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
// 
//   }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 7, (-1), 80);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendTwoDigitWeekyear(0, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder0.appendWeekOfWeekyear(0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder9.appendDayOfWeekText();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone11);
    org.joda.time.DateTime dateTime14 = dateTime12.withMillis(1L);
    org.joda.time.DateTime dateTime16 = dateTime12.withYearOfCentury(8);
    org.joda.time.DateTime dateTime19 = dateTime12.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str23 = dateTimeZone22.toString();
    org.joda.time.DateTime dateTime24 = dateTime12.withZoneRetainFields(dateTimeZone22);
    java.lang.String str26 = dateTimeZone22.getName(1456070907615L);
    boolean b28 = dateTimeZone22.isStandardOffset(1456070907615L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime((java.lang.Object)dateTimeFormatterBuilder9, dateTimeZone22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+01:07"+ "'", str23.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+01:07"+ "'", str26.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 1, 70);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendTwoDigitWeekyear(0, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder0.appendHourOfDay(7);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter10 = org.joda.time.format.ISODateTimeFormat.weekDateTimeNoMillis();
    boolean b11 = dateTimeFormatter10.isOffsetParsed();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder9.append(dateTimeFormatter10);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder9.appendFixedDecimal(dateTimeFieldType13, 80000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);

  }

  @Test
  public void test166() {}
// Defects4J: flaky method
//   @Test
//   public void test166() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime.Property property2 = dateTime1.millisOfSecond();
//     org.joda.time.DateTime dateTime4 = dateTime1.plusWeeks(0);
//     int i5 = dateTime1.getMinuteOfDay();
//     org.joda.time.ReadableDuration readableDuration6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.plus(readableDuration6);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime9 = dateTime7.withWeekOfWeekyear(968);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
// 
//   }

  @Test
  public void test167() {}
// Defects4J: flaky method
//   @Test
//   public void test167() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }
// 
// 
//     org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
//     org.joda.time.DurationField durationField4 = iSOChronology1.minutes();
//     long long7 = durationField4.subtract(10L, 52);
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.util.Locale locale11 = null;
//     java.lang.String str12 = dateTimeZone9.getShortName((-1L), locale11);
//     org.joda.time.chrono.GregorianChronology gregorianChronology14 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone9, 1);
//     org.joda.time.DurationField durationField15 = gregorianChronology14.millis();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.PreciseDateTimeField preciseDateTimeField16 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField4, durationField15);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-3119990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:07"+ "'", str12.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField15);
// 
//   }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 2, 488);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    org.joda.time.DateTimeZone dateTimeZone16 = zonedChronology15.getZone();
    org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str21 = dateTimeZone19.getName(1L);
    org.joda.time.LocalDateTime localDateTime22 = null;
    boolean b23 = dateTimeZone19.isLocalDateTimeGap(localDateTime22);
    org.joda.time.chrono.GregorianChronology gregorianChronology24 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone19);
    org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone19);
    org.joda.time.Chronology chronology26 = zonedChronology15.withZone(dateTimeZone19);
    // The following exception was thrown during execution in test generation
    try {
      long long32 = zonedChronology15.getDateTimeMillis(100L, 80, 7, 23, 19);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "+01:07"+ "'", str21.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);

  }

  @Test
  public void test170() {}
// Defects4J: flaky method
//   @Test
//   public void test170() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.getName();
//     long long10 = offsetDateTimeField4.roundHalfFloor((-1L));
//     long long12 = offsetDateTimeField4.roundHalfEven(58080099L);
//     long long15 = offsetDateTimeField4.set(60000L, 80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 58080000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 300000L);
// 
//   }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = unsupportedDurationField1.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.joda.time.ReadableInterval readableInterval7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getIntervalChronology(readableInterval7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime((-4020000), 488, (-1), 23, 100, 4000, 1, chronology8);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.joda.time.DurationField durationField0 = null;
    org.joda.time.DurationFieldType durationFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField2 = new org.joda.time.field.DecoratedDurationField(durationField0, durationFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getDifferenceAsLong(0L, 800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "PST");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField2 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 4020000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 21, 1447, 75);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-28800000), 4000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-28796000));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1456074927615L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(2, 4000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 70, 1970);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("DateTimeField[minuteOfDay]", 0, 6, 4000, 'a', (-28800000), 28, 23, false, 7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    int i4 = dateTime1.getWeekOfWeekyear();
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
    boolean b8 = dateTime6.isEqual(0L);
    boolean b9 = dateTime1.equals((java.lang.Object)b8);
    org.joda.time.DateTime dateTime11 = dateTime1.withYearOfCentury(0);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = dateTime11.withField(dateTimeFieldType12, (-28800000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    // The following exception was thrown during execution in test generation
    try {
      long long6 = unsupportedDurationField1.getMillis(60000L, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 900010);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    int i4 = dateTime1.getWeekOfWeekyear();
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
    boolean b8 = dateTime6.isEqual(0L);
    boolean b9 = dateTime1.equals((java.lang.Object)b8);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = dateTime1.withMillisOfDay((-4020000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(1970, 908, 21, (-1), 75, 7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    java.io.Writer writer2 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
    org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
    boolean b7 = dateTime4.isEqualNow();
    org.joda.time.Chronology chronology8 = null;
    org.joda.time.DateTime dateTime9 = dateTime4.withChronology(chronology8);
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime12 = dateTime9.withPeriodAdded(readablePeriod10, 8);
    org.joda.time.LocalDateTime localDateTime13 = dateTime9.toLocalDateTime();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer2, (org.joda.time.ReadablePartial)localDateTime13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime13);

  }

  @Test
  public void test190() {}
// Defects4J: flaky method
//   @Test
//   public void test190() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfDay();
//     org.joda.time.DurationField durationField11 = iSOChronology9.seconds();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     int i17 = dateTime13.getHourOfDay();
//     org.joda.time.DateTime.Property property18 = dateTime13.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime13.toDateTime(dateTimeZone19);
//     org.joda.time.LocalDate localDate21 = dateTime20.toLocalDate();
//     int[] i_array23 = iSOChronology9.get((org.joda.time.ReadablePartial)localDate21, 100L);
//     int i24 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate21);
//     java.lang.String str26 = offsetDateTimeField4.getAsShortText((-1L));
//     java.util.Locale locale29 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long30 = offsetDateTimeField4.set(0L, "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000", locale29);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "74"+ "'", str26.equals("74"));
// 
//   }

  @Test
  public void test191() {}
// Defects4J: flaky method
//   @Test
//   public void test191() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfDay();
//     org.joda.time.DurationField durationField11 = iSOChronology9.seconds();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     int i17 = dateTime13.getHourOfDay();
//     org.joda.time.DateTime.Property property18 = dateTime13.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime13.toDateTime(dateTimeZone19);
//     org.joda.time.LocalDate localDate21 = dateTime20.toLocalDate();
//     int[] i_array23 = iSOChronology9.get((org.joda.time.ReadablePartial)localDate21, 100L);
//     int i24 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate21);
//     java.lang.String str26 = offsetDateTimeField4.getAsShortText((-1L));
//     int i27 = offsetDateTimeField4.getMinimumValue();
//     java.util.Locale locale28 = null;
//     int i29 = offsetDateTimeField4.getMaximumTextLength(locale28);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.FieldUtils.verifyValueBounds((org.joda.time.DateTimeField)offsetDateTimeField4, 908, 0, 8);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "74"+ "'", str26.equals("74"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 4);
// 
//   }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateParser();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test194() {}
// Defects4J: flaky method
//   @Test
//   public void test194() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsShortText(100L, locale8);
//     org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField11 = iSOChronology10.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField12 = iSOChronology10.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField14 = new org.joda.time.field.OffsetDateTimeField(dateTimeField12, 8);
//     long long17 = offsetDateTimeField14.add(1456070907615L, 100L);
//     java.lang.String str18 = offsetDateTimeField14.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.clockhourOfDay();
//     org.joda.time.DurationField durationField21 = iSOChronology19.seconds();
//     org.joda.time.DateTimeZone dateTimeZone22 = null;
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.DateTime dateTime25 = dateTime23.withMillis(1L);
//     boolean b26 = dateTime23.isEqualNow();
//     int i27 = dateTime23.getHourOfDay();
//     org.joda.time.DateTime.Property property28 = dateTime23.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone29 = null;
//     org.joda.time.DateTime dateTime30 = dateTime23.toDateTime(dateTimeZone29);
//     org.joda.time.LocalDate localDate31 = dateTime30.toLocalDate();
//     int[] i_array33 = iSOChronology19.get((org.joda.time.ReadablePartial)localDate31, 100L);
//     int i34 = offsetDateTimeField14.getMinimumValue((org.joda.time.ReadablePartial)localDate31);
//     org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField36 = iSOChronology35.clockhourOfDay();
//     org.joda.time.DurationField durationField37 = iSOChronology35.seconds();
//     org.joda.time.DateTimeZone dateTimeZone38 = null;
//     org.joda.time.DateTime dateTime39 = new org.joda.time.DateTime(dateTimeZone38);
//     org.joda.time.DateTime dateTime41 = dateTime39.withMillis(1L);
//     boolean b42 = dateTime39.isEqualNow();
//     int i43 = dateTime39.getHourOfDay();
//     org.joda.time.DateTime.Property property44 = dateTime39.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone45 = null;
//     org.joda.time.DateTime dateTime46 = dateTime39.toDateTime(dateTimeZone45);
//     org.joda.time.LocalDate localDate47 = dateTime46.toLocalDate();
//     int[] i_array49 = iSOChronology35.get((org.joda.time.ReadablePartial)localDate47, 100L);
//     int i50 = offsetDateTimeField4.getMaximumValue((org.joda.time.ReadablePartial)localDate31, i_array49);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long53 = offsetDateTimeField4.set(0L, "1977-01-01T00:15:00.010+01:07");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str18.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i50 == 1447);
// 
//   }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.util.TimeZone timeZone3 = dateTimeZone2.toTimeZone();
    org.joda.time.DateTimeZone dateTimeZone4 = org.joda.time.DateTimeZone.forTimeZone(timeZone3);
    java.lang.String str5 = dateTimeZone4.getID();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+01:07"+ "'", str5.equals("+01:07"));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 100, 968);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "minuteOfDay");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str4 = dateTimeZone2.getName(1L);
    org.joda.time.LocalDateTime localDateTime5 = null;
    boolean b6 = dateTimeZone2.isLocalDateTimeGap(localDateTime5);
    java.util.Locale locale8 = null;
    java.lang.String str9 = dateTimeZone2.getName(800L, locale8);
    int i11 = dateTimeZone2.getOffsetFromLocal(1456070907615L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+01:07"+ "'", str4.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4020000);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getValueAsLong(0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecond();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime2 = dateTimeFormatter0.parseLocalDateTime("19700101T010700.001+0107");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    org.joda.time.DateTime dateTime11 = dateTime6.plusWeeks(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime11.withMinuteOfHour(75);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = unsupportedDurationField1.getDifference(1456074927615L, 58080099L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test204() {}
// Defects4J: flaky method
//   @Test
//   public void test204() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime.Property property2 = dateTime1.millisOfSecond();
//     org.joda.time.DateTime dateTime4 = dateTime1.plusWeeks(0);
//     int i5 = dateTime1.getMinuteOfDay();
//     org.joda.time.ReadableDuration readableDuration6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.plus(readableDuration6);
//     org.joda.time.DurationFieldType durationFieldType8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime10 = dateTime1.withFieldAdded(durationFieldType8, 1);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
// 
//   }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-28796000), (java.lang.Number)(-1.0f), (java.lang.Number)(-3120000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    int i4 = dateTime1.getWeekOfWeekyear();
    org.joda.time.DateTime dateTime6 = dateTime1.withMinuteOfHour(0);
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime.Property property8 = dateTime6.property(dateTimeFieldType7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getMillis(0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test208() {}
// Defects4J: flaky method
//   @Test
//   public void test208() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfWeek();
//     org.joda.time.DateTime.Property property7 = dateTime1.weekyear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property7);
// 
//   }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    // The following exception was thrown during execution in test generation
    try {
      long long2 = dateTimeFormatter0.parseMillis("PST");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    boolean b3 = dateTime1.isEqual(0L);
    org.joda.time.DateTime dateTime5 = dateTime1.minusYears(2);
    org.joda.time.Instant instant6 = dateTime5.toInstant();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant6);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(10L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 990L);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(1456076907615L);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(900010, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1800020);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime6 = dateTime1.toDateTimeISO();
    org.joda.time.DateTime.Property property7 = dateTime1.weekOfWeekyear();
    org.joda.time.DateTime.Property property8 = dateTime1.dayOfWeek();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime1.withDayOfWeek((-28800000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder0.appendWeekOfWeekyear(8);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendMillisOfSecond(4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    // The following exception was thrown during execution in test generation
    try {
      long long6 = unsupportedDurationField1.getDifferenceAsLong(220921680010L, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendTimeZoneShortName();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder5.appendHourOfDay((-28796000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    org.joda.time.DateTime dateTime11 = dateTime6.plusWeeks(0);
    org.joda.time.ReadableDuration readableDuration12 = null;
    org.joda.time.DateTime dateTime13 = dateTime11.minus(readableDuration12);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime18 = dateTime11.withTime(968, 968, 80000, 488);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(437, 437, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() {}
// Defects4J: flaky method
//   @Test
//   public void test220() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone4 = iSOChronology1.getZone();
//     org.joda.time.DurationField durationField5 = iSOChronology1.centuries();
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField10 = new org.joda.time.field.OffsetDateTimeField(dateTimeField8, 8);
//     int i12 = offsetDateTimeField10.get(10L);
//     java.util.Locale locale14 = null;
//     java.lang.String str15 = offsetDateTimeField10.getAsShortText(100L, locale14);
//     long long17 = offsetDateTimeField10.roundHalfEven((-3119990L));
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology18.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField22 = new org.joda.time.field.OffsetDateTimeField(dateTimeField20, 8);
//     int i24 = offsetDateTimeField22.get(10L);
//     java.util.Locale locale26 = null;
//     java.lang.String str27 = offsetDateTimeField22.getAsShortText(100L, locale26);
//     org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField29 = iSOChronology28.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField30 = iSOChronology28.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField32 = new org.joda.time.field.OffsetDateTimeField(dateTimeField30, 8);
//     long long35 = offsetDateTimeField32.add(1456070907615L, 100L);
//     java.lang.String str36 = offsetDateTimeField32.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.clockhourOfDay();
//     org.joda.time.DurationField durationField39 = iSOChronology37.seconds();
//     org.joda.time.DateTimeZone dateTimeZone40 = null;
//     org.joda.time.DateTime dateTime41 = new org.joda.time.DateTime(dateTimeZone40);
//     org.joda.time.DateTime dateTime43 = dateTime41.withMillis(1L);
//     boolean b44 = dateTime41.isEqualNow();
//     int i45 = dateTime41.getHourOfDay();
//     org.joda.time.DateTime.Property property46 = dateTime41.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone47 = null;
//     org.joda.time.DateTime dateTime48 = dateTime41.toDateTime(dateTimeZone47);
//     org.joda.time.LocalDate localDate49 = dateTime48.toLocalDate();
//     int[] i_array51 = iSOChronology37.get((org.joda.time.ReadablePartial)localDate49, 100L);
//     int i52 = offsetDateTimeField32.getMinimumValue((org.joda.time.ReadablePartial)localDate49);
//     org.joda.time.chrono.ISOChronology iSOChronology53 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField54 = iSOChronology53.clockhourOfDay();
//     org.joda.time.DurationField durationField55 = iSOChronology53.seconds();
//     org.joda.time.DateTimeZone dateTimeZone56 = null;
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.DateTime dateTime59 = dateTime57.withMillis(1L);
//     boolean b60 = dateTime57.isEqualNow();
//     int i61 = dateTime57.getHourOfDay();
//     org.joda.time.DateTime.Property property62 = dateTime57.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone63 = null;
//     org.joda.time.DateTime dateTime64 = dateTime57.toDateTime(dateTimeZone63);
//     org.joda.time.LocalDate localDate65 = dateTime64.toLocalDate();
//     int[] i_array67 = iSOChronology53.get((org.joda.time.ReadablePartial)localDate65, 100L);
//     int i68 = offsetDateTimeField22.getMaximumValue((org.joda.time.ReadablePartial)localDate49, i_array67);
//     int[] i_array70 = new int[] { (-1) };
//     int i71 = offsetDateTimeField10.getMaximumValue((org.joda.time.ReadablePartial)localDate49, i_array70);
//     long long73 = iSOChronology1.set((org.joda.time.ReadablePartial)localDate49, 0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str74 = dateTimeFormatter0.print((org.joda.time.ReadablePartial)localDate49);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "75"+ "'", str15.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "75"+ "'", str27.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long35 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str36.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b44 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i45 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b60 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i61 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i68 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long73 == 1456012800000L);
// 
//   }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecond();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime2 = dateTimeFormatter0.parseMutableDateTime("1970-01-01T00:15:00.010");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "74");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() {}
// Defects4J: flaky method
//   @Test
//   public void test223() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.clockhourOfDay();
//     org.joda.time.DurationField durationField7 = iSOChronology5.seconds();
//     org.joda.time.DateTimeZone dateTimeZone8 = null;
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.DateTime dateTime11 = dateTime9.withMillis(1L);
//     boolean b12 = dateTime9.isEqualNow();
//     int i13 = dateTime9.getHourOfDay();
//     org.joda.time.DateTime.Property property14 = dateTime9.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime9.toDateTime(dateTimeZone15);
//     org.joda.time.LocalDate localDate17 = dateTime16.toLocalDate();
//     int[] i_array19 = iSOChronology5.get((org.joda.time.ReadablePartial)localDate17, 100L);
//     org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField22 = iSOChronology21.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField23 = iSOChronology21.clockhourOfDay();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter24 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter25 = dateTimeFormatter24.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone26 = null;
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.DateTime dateTime29 = dateTime27.withMillis(1L);
//     boolean b30 = dateTime27.isEqualNow();
//     int i31 = dateTime27.getHourOfDay();
//     org.joda.time.DateTime.Property property32 = dateTime27.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone33 = null;
//     org.joda.time.DateTime dateTime34 = dateTime27.toDateTime(dateTimeZone33);
//     org.joda.time.LocalDate localDate35 = dateTime34.toLocalDate();
//     java.lang.String str36 = dateTimeFormatter24.print((org.joda.time.ReadablePartial)localDate35);
//     int[] i_array38 = iSOChronology21.get((org.joda.time.ReadablePartial)localDate35, 58080000L);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array40 = offsetDateTimeField4.addWrapField((org.joda.time.ReadablePartial)localDate17, 100, i_array38, 21);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b30 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str36.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array38);
// 
//   }

  @Test
  public void test224() {}
// Defects4J: flaky method
//   @Test
//   public void test224() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime.Property property2 = dateTime1.millisOfSecond();
//     org.joda.time.DateTime dateTime4 = dateTime1.plusWeeks(0);
//     int i5 = dateTime1.getMinuteOfDay();
//     org.joda.time.ReadableDuration readableDuration6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.plus(readableDuration6);
//     org.joda.time.Chronology chronology8 = dateTime7.getChronology();
//     org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = dateTime7.get(dateTimeFieldType9);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 1135);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
// 
//   }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendWeekyear(1, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendMillisOfSecond(100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder18 = dateTimeFormatterBuilder15.appendFractionOfHour(1970, 968);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder21 = dateTimeFormatterBuilder18.appendFractionOfHour(28, 488);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder23 = dateTimeFormatterBuilder21.appendDayOfWeek(900010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder23);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimePrinter dateTimePrinter4 = null;
    org.joda.time.format.DateTimeParser dateTimeParser5 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter4, dateTimeParser5);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = dateTimeFormatter6.withOffsetParsed();
    java.util.Locale locale8 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = dateTimeFormatter6.withLocale(locale8);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder0.append(dateTimeFormatter9);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder0.appendMonthOfYearShortText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder11.appendHourOfDay(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendShortText(dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 1800020, 70, 4020000, '4', 437, 21, 4000, false, 437);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount(800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 28, 968);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
    org.joda.time.format.DateTimeParser dateTimeParser1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatter3.getParser();
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter3.printTo(writer5, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeParser4);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeNoMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test233() {}
// Defects4J: flaky method
//   @Test
//   public void test233() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long6 = offsetDateTimeField4.roundCeiling(100L);
//     org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
//     long long10 = offsetDateTimeField4.addWrapField((-3119990L), 0);
//     org.joda.time.chrono.ISOChronology iSOChronology11 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField12 = iSOChronology11.clockhourOfDay();
//     org.joda.time.DurationField durationField13 = iSOChronology11.seconds();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology11.clockhourOfDay();
//     org.joda.time.DateTimeZone dateTimeZone15 = null;
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone15);
//     org.joda.time.DateTime dateTime18 = dateTime16.withMillis(1L);
//     boolean b19 = dateTime16.isEqualNow();
//     int i20 = dateTime16.getHourOfDay();
//     org.joda.time.DateTime.Property property21 = dateTime16.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone22 = null;
//     org.joda.time.DateTime dateTime23 = dateTime16.toDateTime(dateTimeZone22);
//     org.joda.time.LocalDate localDate24 = dateTime23.toLocalDate();
//     long long26 = iSOChronology11.set((org.joda.time.ReadablePartial)localDate24, 58080000L);
//     java.util.Locale locale27 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str28 = offsetDateTimeField4.getAsShortText((org.joda.time.ReadablePartial)localDate24, locale27);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long6 == 60000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-3119990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long26 == 1456070880000L);
// 
//   }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.weekyear();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = iSOChronology0.getDateTimeMillis(1L, 2, 70, 900010, 70);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test235() {}
// Defects4J: flaky method
//   @Test
//   public void test235() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.toDateTime(dateTimeZone7);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime10 = dateTime8.withWeekOfWeekyear((-28800000));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
// 
//   }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateParser();
    int i1 = dateTimeFormatter0.getDefaultYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2000);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology7.hourOfHalfday();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(80, 4020000, 6, 437, 100, 0, 18, (org.joda.time.Chronology)iSOChronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);

  }

  @Test
  public void test238() {}
// Defects4J: flaky method
//   @Test
//   public void test238() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     org.joda.time.DateTime.Property property4 = dateTime3.millisOfSecond();
//     int i5 = dateTime3.getMinuteOfHour();
//     org.joda.time.DateTime dateTime7 = dateTime3.minusMillis(7);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime9 = dateTime7.withHourOfDay(908);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
// 
//   }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 70, 908);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.clockhourOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = iSOChronology0.getDateTimeMillis(1456070907615L, 6, 52, 7, 2000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test241() {}
// Defects4J: flaky method
//   @Test
//   public void test241() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.toDateTime(dateTimeZone7);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime10 = dateTime1.withSecondOfMinute(1447);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
// 
//   }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder5.appendDayOfWeek(4);
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder5.appendShortText(dateTimeFieldType8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    // The following exception was thrown during execution in test generation
    try {
      int i6 = unsupportedDurationField1.getDifference((-3120000L), 99L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long6 = offsetDateTimeField4.roundCeiling(100L);
    org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
    java.lang.String str8 = offsetDateTimeField4.getName();
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    boolean b13 = dateTime10.isEqualNow();
    org.joda.time.Chronology chronology14 = null;
    org.joda.time.DateTime dateTime15 = dateTime10.withChronology(chronology14);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    org.joda.time.DateTime dateTime18 = dateTime15.withPeriodAdded(readablePeriod16, 8);
    org.joda.time.LocalDateTime localDateTime19 = dateTime15.toLocalDateTime();
    int[] i_array21 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array23 = offsetDateTimeField4.set((org.joda.time.ReadablePartial)localDateTime19, 1447, i_array21, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime19);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("1969-12-31T16:00:00");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException2.prependMessage("19691231T160000.001-0800");
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("(\"org.joda.time.JodaTimePermission\" \"hi!\")", "19691231T160000.001-0800");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 1456070907615L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i3 = unsupportedDurationField1.getValue(4800000800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    int i4 = dateTime1.getWeekOfWeekyear();
    org.joda.time.DateTime dateTime6 = dateTime1.withMinuteOfHour(0);
    boolean b8 = dateTime1.isAfter(100L);
    int i9 = dateTime1.getMillisOfSecond();
    org.joda.time.DateTime.Property property10 = dateTime1.secondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 615);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(0, 0, (-28800000), 4020000, 19);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getDifferenceAsLong(58080000L, (-3119990L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 615, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 437, 21, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long6 = offsetDateTimeField4.roundCeiling(100L);
    org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
    java.lang.String str8 = offsetDateTimeField4.getName();
    boolean b9 = offsetDateTimeField4.isSupported();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1971), 908, 16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 220921680010L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeekDay();
    java.io.Writer writer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer1, 58080000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = gregorianChronology0.getDateTimeMillis((-4020000), 75, 16, 6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1456070880000L, "ZonedChronology[ISOChronology[UTC], +01:07]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField3 = new org.joda.time.field.DecoratedDurationField((org.joda.time.DurationField)unsupportedDurationField1, durationFieldType2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicOrdinalDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = unsupportedDurationField1.add(990L, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10, 4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4020010);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.millis();
    org.joda.time.DurationFieldType durationFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField3 = new org.joda.time.field.DecoratedDurationField(durationField1, durationFieldType2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    org.joda.time.DurationFieldType durationFieldType6 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getMillis(19);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField3 = new org.joda.time.field.DividedDateTimeField(dateTimeField0, dateTimeFieldType1, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    org.joda.time.DurationFieldType durationFieldType6 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = unsupportedDurationField1.getMillis(57600001L, 4020800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 10L, 70);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.DateFormatSymbols dateFormatSymbols1 = org.joda.time.DateTimeUtils.getDateFormatSymbols(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() {}
// Defects4J: flaky method
//   @Test
//   public void test272() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime.Property property2 = dateTime1.millisOfSecond();
//     org.joda.time.DateTime dateTime4 = dateTime1.plusWeeks(0);
//     int i5 = dateTime1.getMinuteOfDay();
//     org.joda.time.ReadableDuration readableDuration6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.plus(readableDuration6);
//     org.joda.time.Chronology chronology8 = dateTime7.getChronology();
//     org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime11 = dateTime7.withField(dateTimeFieldType9, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 1135);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
// 
//   }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    boolean b4 = unsupportedDurationField1.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long6 = unsupportedDurationField1.getValueAsLong(58080099L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test274() {}
// Defects4J: flaky method
//   @Test
//   public void test274() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
//     java.lang.StringBuffer stringBuffer1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
//     boolean b6 = dateTime3.isEqualNow();
//     int i7 = dateTime3.getHourOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone11 = iSOChronology8.getZone();
//     org.joda.time.DurationField durationField12 = iSOChronology8.weeks();
//     org.joda.time.DateTimeZone dateTimeZone13 = null;
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.DateTime dateTime16 = dateTime14.withMillis(1L);
//     boolean b17 = dateTime14.isEqualNow();
//     int i18 = dateTime14.getHourOfDay();
//     org.joda.time.DateTime.Property property19 = dateTime14.dayOfMonth();
//     org.joda.time.Chronology chronology20 = dateTime14.getChronology();
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(chronology20);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter23 = dateTimeFormatter22.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone24 = null;
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.DateTime dateTime27 = dateTime25.withMillis(1L);
//     boolean b28 = dateTime25.isEqualNow();
//     int i29 = dateTime25.getHourOfDay();
//     org.joda.time.DateTime.Property property30 = dateTime25.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime25.toDateTime(dateTimeZone31);
//     org.joda.time.LocalDate localDate33 = dateTime32.toLocalDate();
//     java.lang.String str34 = dateTimeFormatter22.print((org.joda.time.ReadablePartial)localDate33);
//     org.joda.time.DateTime dateTime35 = dateTime21.withFields((org.joda.time.ReadablePartial)localDate33);
//     long long37 = iSOChronology8.set((org.joda.time.ReadablePartial)localDate33, 58080000L);
//     org.joda.time.DateTime dateTime38 = dateTime3.withFields((org.joda.time.ReadablePartial)localDate33);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadablePartial)localDate33);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str34.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == 1456070880000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
// 
//   }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-28800000), 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-576000000));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    boolean b4 = unsupportedDurationField1.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = unsupportedDurationField1.getMillis(58080000L, 1500000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long6 = offsetDateTimeField4.roundCeiling(100L);
    org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
    long long10 = offsetDateTimeField4.addWrapField((-3119990L), 0);
    long long12 = offsetDateTimeField4.roundHalfCeiling(58080000L);
    org.joda.time.ReadablePartial readablePartial13 = null;
    java.util.Locale locale14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = offsetDateTimeField4.getAsText(readablePartial13, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-3119990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 58080000L);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(968, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField2 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendWeekyear(1, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendMillisOfSecond(100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder18 = dateTimeFormatterBuilder6.appendFractionOfMinute(0, 4000);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder21 = dateTimeFormatterBuilder18.appendFixedDecimal(dateTimeFieldType19, 70);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder18);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime6 = dateTime1.toDateTimeISO();
    org.joda.time.DateTime.Property property7 = dateTime1.secondOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime1.withYearOfCentury(908);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test282() {}
// Defects4J: flaky method
//   @Test
//   public void test282() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
//     boolean b7 = dateTime4.isEqualNow();
//     int i8 = dateTime4.getHourOfDay();
//     org.joda.time.DateTime.Property property9 = dateTime4.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime4.toDateTime(dateTimeZone10);
//     org.joda.time.LocalDate localDate12 = dateTime11.toLocalDate();
//     int[] i_array14 = iSOChronology0.get((org.joda.time.ReadablePartial)localDate12, 100L);
//     org.joda.time.DateTimeField dateTimeField15 = iSOChronology0.centuryOfEra();
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology0.millisOfDay();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology0.secondOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
// 
//   }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    org.joda.time.DateTimeZone dateTimeZone16 = zonedChronology15.getZone();
    // The following exception was thrown during execution in test generation
    try {
      long long24 = zonedChronology15.getDateTimeMillis(19, 15, 1, 23, (-28800000), 0, 7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);

  }

  @Test
  public void test284() {}
// Defects4J: flaky method
//   @Test
//   public void test284() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateOptionalTimeParser();
//     java.io.Writer writer1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
//     boolean b6 = dateTime3.isEqualNow();
//     int i7 = dateTime3.getHourOfDay();
//     org.joda.time.DateTime.Property property8 = dateTime3.dayOfMonth();
//     org.joda.time.Chronology chronology9 = dateTime3.getChronology();
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter11 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter12 = dateTimeFormatter11.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone13 = null;
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.DateTime dateTime16 = dateTime14.withMillis(1L);
//     boolean b17 = dateTime14.isEqualNow();
//     int i18 = dateTime14.getHourOfDay();
//     org.joda.time.DateTime.Property property19 = dateTime14.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime14.toDateTime(dateTimeZone20);
//     org.joda.time.LocalDate localDate22 = dateTime21.toLocalDate();
//     java.lang.String str23 = dateTimeFormatter11.print((org.joda.time.ReadablePartial)localDate22);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate22);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(writer1, (org.joda.time.ReadableInstant)dateTime10);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str23.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
// 
//   }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecond();
    java.io.Writer writer1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
    int i6 = dateTime3.getWeekOfWeekyear();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone7);
    boolean b10 = dateTime8.isEqual(0L);
    boolean b11 = dateTime3.equals((java.lang.Object)b10);
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
    org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
    boolean b16 = dateTime13.isEqualNow();
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime13.withChronology(chronology17);
    org.joda.time.DateTime dateTime20 = dateTime13.minus((-1L));
    int i21 = dateTime3.compareTo((org.joda.time.ReadableInstant)dateTime20);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer1, (org.joda.time.ReadableInstant)dateTime20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(60000L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 60000L);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder8.appendYearOfCentury(0, 2000);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder11.appendHalfdayOfDayText();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder12.appendFixedSignedDecimal(dateTimeFieldType13, 23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekOfWeekyear();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, dateTimeFieldType3, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.joda.time.tz.DefaultNameProvider defaultNameProvider0 = new org.joda.time.tz.DefaultNameProvider();
    java.util.Locale locale1 = null;
    java.lang.String str4 = defaultNameProvider0.getShortName(locale1, "80", "1970-01-01T00:15:00.010");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    org.joda.time.DurationFieldType durationFieldType6 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getMillis(4020800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime8 = dateTime1.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str12 = dateTimeZone11.toString();
    org.joda.time.DateTime dateTime13 = dateTime1.withZoneRetainFields(dateTimeZone11);
    int i14 = dateTime1.getWeekOfWeekyear();
    org.joda.time.DateTime.Property property15 = dateTime1.minuteOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime17 = dateTime1.withSecondOfMinute(615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:07"+ "'", str12.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = dateTimeFormatterBuilder5.toFormatter();
    org.joda.time.format.DateTimeParser dateTimeParser7 = dateTimeFormatter6.getParser();
    java.lang.StringBuffer stringBuffer8 = null;
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    org.joda.time.DateTime dateTime14 = dateTime12.withDayOfYear(8);
    org.joda.time.DateTimeZone dateTimeZone15 = null;
    org.joda.time.DateTime dateTime16 = dateTime14.withZoneRetainFields(dateTimeZone15);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter6.printTo(stringBuffer8, (org.joda.time.ReadableInstant)dateTime16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = dateTime1.toString("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() {}
// Defects4J: flaky method
//   @Test
//   public void test295() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.Chronology chronology7 = dateTime1.getChronology();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime9 = dateTime1.withDayOfYear((-4020000));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology7);
// 
//   }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "75");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    java.lang.String str16 = zonedChronology15.toString();
    org.joda.time.DateTimeField dateTimeField17 = zonedChronology15.clockhourOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long22 = zonedChronology15.getDateTimeMillis(19, 100, 615, 28);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:07]"+ "'", str16.equals("ZonedChronology[ISOChronology[UTC], +01:07]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    org.joda.time.DurationFieldType durationFieldType6 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = unsupportedDurationField1.add(220921680010L, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("DateTimeField[minuteOfDay]");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long6 = offsetDateTimeField4.roundCeiling(100L);
    org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
    long long10 = offsetDateTimeField4.addWrapField((-3119990L), 0);
    int i11 = offsetDateTimeField4.getOffset();
    long long13 = offsetDateTimeField4.roundHalfFloor(0L);
    java.util.Locale locale16 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long17 = offsetDateTimeField4.set(99L, "Pacific Standard Time", locale16);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-3119990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder5.appendDayOfWeek(4);
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder7.appendDecimal(dateTimeFieldType8, (-1971), 19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 99);

  }

  @Test
  public void test303() {}
// Defects4J: flaky method
//   @Test
//   public void test303() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.toDateTime(dateTimeZone7);
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(10);
//     org.joda.time.ReadableInstant readableInstant11 = null;
//     boolean b12 = dateTime10.isBefore(readableInstant11);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime17 = dateTime10.withTime(437, 1, 80, 1800020);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
// 
//   }

  @Test
  public void test304() {}
// Defects4J: flaky method
//   @Test
//   public void test304() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone5 = null;
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.DateTime dateTime8 = dateTime6.withMillis(1L);
//     boolean b9 = dateTime6.isEqualNow();
//     int i10 = dateTime6.getHourOfDay();
//     org.joda.time.DateTime.Property property11 = dateTime6.dayOfMonth();
//     int i12 = dateTime6.getHourOfDay();
//     org.joda.time.DateTimeZone dateTimeZone13 = null;
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.DateTime dateTime16 = dateTime14.withMillis(1L);
//     boolean b17 = dateTime14.isEqualNow();
//     int i18 = dateTime14.getHourOfDay();
//     org.joda.time.DateTime.Property property19 = dateTime14.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime14.toDateTime(dateTimeZone20);
//     org.joda.time.LocalDate localDate22 = dateTime21.toLocalDate();
//     org.joda.time.ReadableDuration readableDuration23 = null;
//     org.joda.time.DateTime dateTime25 = dateTime21.withDurationAdded(readableDuration23, (-1));
//     org.joda.time.DateTime dateTime27 = dateTime25.minusSeconds(2000);
//     boolean b28 = dateTime6.isAfter((org.joda.time.ReadableInstant)dateTime27);
//     org.joda.time.DateTime dateTime30 = dateTime6.minusMillis(2);
//     org.joda.time.DateTimeZone dateTimeZone31 = null;
//     org.joda.time.DateTime dateTime32 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.DateTime dateTime34 = dateTime32.withMillis(1L);
//     org.joda.time.DateTime.Property property35 = dateTime34.weekyear();
//     org.joda.time.DateTime.Property property36 = dateTime34.hourOfDay();
//     org.joda.time.DateTime dateTime38 = dateTime34.withMillis((-1L));
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.DateTime dateTime42 = dateTime40.withMillis(1L);
//     boolean b43 = dateTime40.isEqualNow();
//     org.joda.time.Chronology chronology44 = null;
//     org.joda.time.DateTime dateTime45 = dateTime40.withChronology(chronology44);
//     org.joda.time.DateTime dateTime47 = dateTime40.minus((-1L));
//     org.joda.time.DateTimeZone dateTimeZone48 = null;
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone48);
//     org.joda.time.DateTime dateTime51 = dateTime49.withMillis(1L);
//     boolean b52 = dateTime49.isEqualNow();
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime49.withChronology(chronology53);
//     org.joda.time.ReadablePeriod readablePeriod55 = null;
//     org.joda.time.DateTime dateTime57 = dateTime54.withPeriodAdded(readablePeriod55, 8);
//     org.joda.time.DateTime dateTime59 = dateTime57.plusYears(7);
//     org.joda.time.ReadableDuration readableDuration60 = null;
//     org.joda.time.DateTime dateTime62 = dateTime59.withDurationAdded(readableDuration60, 7);
//     int i63 = dateTime40.compareTo((org.joda.time.ReadableInstant)dateTime62);
//     org.joda.time.MutableDateTime mutableDateTime64 = dateTime62.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone65 = null;
//     org.joda.time.DateTime dateTime66 = new org.joda.time.DateTime(dateTimeZone65);
//     org.joda.time.DateTime dateTime68 = dateTime66.withMillis(1L);
//     org.joda.time.DateTime dateTime70 = dateTime66.withYearOfCentury(8);
//     org.joda.time.DateTime dateTime73 = dateTime66.withDurationAdded(1456070907615L, 100);
//     org.joda.time.DateTimeZone dateTimeZone76 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
//     java.lang.String str77 = dateTimeZone76.toString();
//     org.joda.time.DateTime dateTime78 = dateTime66.withZoneRetainFields(dateTimeZone76);
//     int i80 = dateTimeZone76.getOffsetFromLocal(1456070907615L);
//     org.joda.time.DateTime dateTime81 = dateTime62.toDateTime(dateTimeZone76);
//     org.joda.time.DateTime dateTime82 = dateTime38.withZoneRetainFields(dateTimeZone76);
//     org.joda.time.DateTime dateTime83 = dateTime30.withZoneRetainFields(dateTimeZone76);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime84 = new org.joda.time.DateTime(4020000, 0, 6, (-28796000), 2000, dateTimeZone76);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b52 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str77 + "' != '" + "+01:07"+ "'", str77.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i80 == 4020000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime83);
// 
//   }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendFractionOfMinute(4020000, 0);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder17 = dateTimeFormatterBuilder13.appendFraction(dateTimeFieldType14, 1135, 2000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)2, (java.lang.Number)990L, (java.lang.Number)10);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDate();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTimeFormatter0.getZone();
    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
    int i6 = dateTime3.getWeekOfWeekyear();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone7);
    boolean b10 = dateTime8.isEqual(0L);
    boolean b11 = dateTime3.equals((java.lang.Object)b10);
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
    org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
    boolean b16 = dateTime13.isEqualNow();
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime13.withChronology(chronology17);
    org.joda.time.DateTime dateTime20 = dateTime13.minus((-1L));
    int i21 = dateTime3.compareTo((org.joda.time.ReadableInstant)dateTime20);
    org.joda.time.DateTime dateTime23 = dateTime3.withMinuteOfHour(0);
    org.joda.time.DateTime dateTime25 = dateTime3.plusYears(0);
    java.lang.String str26 = dateTimeFormatter0.print((org.joda.time.ReadableInstant)dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "2016-W07-7"+ "'", str26.equals("2016-W07-7"));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeZone dateTimeZone1 = gregorianChronology0.getZone();
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.DateTime dateTime3 = dateTime2.toDateTimeISO();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(300000L);
    int i2 = dateTime1.getWeekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1970);

  }

  @Test
  public void test311() {}
// Defects4J: flaky method
//   @Test
//   public void test311() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateParser();
//     java.io.Writer writer1 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 8);
//     int i8 = offsetDateTimeField6.get(10L);
//     java.util.Locale locale10 = null;
//     java.lang.String str11 = offsetDateTimeField6.getAsText(800L, locale10);
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime13.withChronology(chronology17);
//     org.joda.time.ReadablePeriod readablePeriod19 = null;
//     org.joda.time.DateTime dateTime21 = dateTime18.withPeriodAdded(readablePeriod19, 8);
//     org.joda.time.LocalDateTime localDateTime22 = dateTime18.toLocalDateTime();
//     int[] i_array23 = null;
//     int i24 = offsetDateTimeField6.getMinimumValue((org.joda.time.ReadablePartial)localDateTime22, i_array23);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(writer1, (org.joda.time.ReadablePartial)localDateTime22);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "75"+ "'", str11.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
// 
//   }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendFractionOfMinute(4020000, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder13.appendYearOfEra(52, 52);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder16.appendTwoDigitWeekyear(488, true);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder25 = dateTimeFormatterBuilder19.appendTimeZoneOffset("ZonedChronology[ISOChronology[UTC], +01:07]", "75", true, 968, 15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);

  }

  @Test
  public void test313() {}
// Defects4J: flaky method
//   @Test
//   public void test313() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.toDateTime(dateTimeZone7);
//     org.joda.time.LocalDate localDate9 = dateTime8.toLocalDate();
//     org.joda.time.DateTime.Property property10 = dateTime8.year();
//     org.joda.time.DateTime.Property property11 = dateTime8.yearOfCentury();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime15 = dateTime8.withDate(21, 615, 968);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
// 
//   }

  @Test
  public void test314() {}
// Defects4J: flaky method
//   @Test
//   public void test314() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.getName();
//     long long10 = offsetDateTimeField4.roundHalfFloor((-1L));
//     long long12 = offsetDateTimeField4.roundHalfEven((-3119990L));
//     long long14 = offsetDateTimeField4.roundHalfFloor(0L);
//     int i16 = offsetDateTimeField4.get(10L);
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 8);
//     long long24 = offsetDateTimeField21.add(1456070907615L, 100L);
//     java.lang.String str25 = offsetDateTimeField21.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology26.clockhourOfDay();
//     org.joda.time.DurationField durationField28 = iSOChronology26.seconds();
//     org.joda.time.DateTimeZone dateTimeZone29 = null;
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone29);
//     org.joda.time.DateTime dateTime32 = dateTime30.withMillis(1L);
//     boolean b33 = dateTime30.isEqualNow();
//     int i34 = dateTime30.getHourOfDay();
//     org.joda.time.DateTime.Property property35 = dateTime30.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.DateTime dateTime37 = dateTime30.toDateTime(dateTimeZone36);
//     org.joda.time.LocalDate localDate38 = dateTime37.toLocalDate();
//     int[] i_array40 = iSOChronology26.get((org.joda.time.ReadablePartial)localDate38, 100L);
//     int i41 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDate38);
//     java.util.Locale locale42 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str43 = offsetDateTimeField4.getAsText((org.joda.time.ReadablePartial)localDate38, locale42);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str25.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 8);
// 
//   }

  @Test
  public void test315() {}
// Defects4J: flaky method
//   @Test
//   public void test315() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
//     org.joda.time.DurationField durationField8 = iSOChronology6.seconds();
//     org.joda.time.DateTimeZone dateTimeZone9 = null;
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
//     boolean b13 = dateTime10.isEqualNow();
//     int i14 = dateTime10.getHourOfDay();
//     org.joda.time.DateTime.Property property15 = dateTime10.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime10.toDateTime(dateTimeZone16);
//     org.joda.time.LocalDate localDate18 = dateTime17.toLocalDate();
//     int[] i_array20 = iSOChronology6.get((org.joda.time.ReadablePartial)localDate18, 100L);
//     org.joda.time.DateTimeZone dateTimeZone21 = iSOChronology6.getZone();
//     org.joda.time.DateTimeField dateTimeField22 = iSOChronology6.minuteOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(1135, 100, 4020000, 19, 615, (-1971), (org.joda.time.Chronology)iSOChronology6);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField22);
// 
//   }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() {}
// Defects4J: flaky method
//   @Test
//   public void test317() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
//     java.lang.String str2 = dateTimeFormatter0.print(1L);
//     java.util.Locale locale3 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatter0.withLocale(locale3);
//     java.lang.Appendable appendable5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.DateTime dateTime9 = dateTime7.withMillis(1L);
//     boolean b10 = dateTime7.isEqualNow();
//     int i11 = dateTime7.getHourOfDay();
//     org.joda.time.DateTime.Property property12 = dateTime7.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime7.toDateTime(dateTimeZone13);
//     org.joda.time.LocalDate localDate15 = dateTime14.toLocalDate();
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(appendable5, (org.joda.time.ReadablePartial)localDate15);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "19700101T010700.001+0107"+ "'", str2.equals("19700101T010700.001+0107"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate15);
// 
//   }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder8.appendTimeZoneId();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder9.appendTwoDigitYear(80000);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder9.appendLiteral("1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000");
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder9.appendFractionOfHour(0, (-4020000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    java.lang.String str16 = zonedChronology15.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long24 = zonedChronology15.getDateTimeMillis(0, 2000, 15, 2, 0, 0, 80);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:07]"+ "'", str16.equals("ZonedChronology[ISOChronology[UTC], +01:07]"));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
    org.joda.time.DurationField durationField8 = iSOChronology6.seconds();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology6.clockhourOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(6, 1, 4020010, 75, 18, 615, (org.joda.time.Chronology)iSOChronology6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime3.withDayOfYear(8);
    org.joda.time.DateTime dateTime7 = dateTime3.withMillis(10L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime3.withWeekOfWeekyear(1447);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test322() {}
// Defects4J: flaky method
//   @Test
//   public void test322() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.yearOfEra();
//     int i7 = dateTime1.getYearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2016);
// 
//   }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    org.joda.time.DurationFieldType durationFieldType6 = unsupportedDurationField1.getType();
    org.joda.time.DurationFieldType durationFieldType7 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = unsupportedDurationField1.getMillis(70);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);

  }

  @Test
  public void test325() {}
// Defects4J: flaky method
//   @Test
//   public void test325() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long6 = offsetDateTimeField4.roundCeiling(100L);
//     org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
//     long long10 = offsetDateTimeField4.addWrapField((-3119990L), 0);
//     int i11 = offsetDateTimeField4.getOffset();
//     int i14 = offsetDateTimeField4.getDifference(60000L, 99L);
//     long long16 = offsetDateTimeField4.remainder(1L);
//     org.joda.time.ReadablePartial readablePartial17 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.clockhourOfDay();
//     org.joda.time.DurationField durationField21 = iSOChronology19.seconds();
//     org.joda.time.DateTimeZone dateTimeZone22 = null;
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.DateTime dateTime25 = dateTime23.withMillis(1L);
//     boolean b26 = dateTime23.isEqualNow();
//     int i27 = dateTime23.getHourOfDay();
//     org.joda.time.DateTime.Property property28 = dateTime23.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone29 = null;
//     org.joda.time.DateTime dateTime30 = dateTime23.toDateTime(dateTimeZone29);
//     org.joda.time.LocalDate localDate31 = dateTime30.toLocalDate();
//     int[] i_array33 = iSOChronology19.get((org.joda.time.ReadablePartial)localDate31, 100L);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array35 = offsetDateTimeField4.addWrapField(readablePartial17, 99, i_array33, (-4020000));
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long6 == 60000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-3119990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array33);
// 
//   }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, (-4799999999L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "1970-W01-4T00:15:00+01:07");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() {}
// Defects4J: flaky method
//   @Test
//   public void test328() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfDay();
//     org.joda.time.DurationField durationField11 = iSOChronology9.seconds();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     int i17 = dateTime13.getHourOfDay();
//     org.joda.time.DateTime.Property property18 = dateTime13.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime13.toDateTime(dateTimeZone19);
//     org.joda.time.LocalDate localDate21 = dateTime20.toLocalDate();
//     int[] i_array23 = iSOChronology9.get((org.joda.time.ReadablePartial)localDate21, 100L);
//     int i24 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate21);
//     java.lang.String str26 = offsetDateTimeField4.getAsShortText((-1L));
//     org.joda.time.DateTimeZone dateTimeZone27 = null;
//     org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.DateTime dateTime30 = dateTime28.withMillis(1L);
//     int i31 = dateTime28.getWeekOfWeekyear();
//     org.joda.time.DateTimeZone dateTimeZone32 = null;
//     org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(dateTimeZone32);
//     boolean b35 = dateTime33.isEqual(0L);
//     boolean b36 = dateTime28.equals((java.lang.Object)b35);
//     org.joda.time.DateTimeZone dateTimeZone37 = null;
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(dateTimeZone37);
//     org.joda.time.DateTime dateTime40 = dateTime38.withMillis(1L);
//     boolean b41 = dateTime38.isEqualNow();
//     org.joda.time.Chronology chronology42 = null;
//     org.joda.time.DateTime dateTime43 = dateTime38.withChronology(chronology42);
//     org.joda.time.DateTime dateTime45 = dateTime38.minus((-1L));
//     int i46 = dateTime28.compareTo((org.joda.time.ReadableInstant)dateTime45);
//     org.joda.time.DateTimeZone dateTimeZone47 = dateTime28.getZone();
//     org.joda.time.DateTime.Property property48 = dateTime28.millisOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology49 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField50 = iSOChronology49.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField51 = iSOChronology49.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField53 = new org.joda.time.field.OffsetDateTimeField(dateTimeField51, 8);
//     long long56 = offsetDateTimeField53.add(1456070907615L, 100L);
//     java.lang.String str57 = offsetDateTimeField53.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology58 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField59 = iSOChronology58.clockhourOfDay();
//     org.joda.time.DurationField durationField60 = iSOChronology58.seconds();
//     org.joda.time.DateTimeZone dateTimeZone61 = null;
//     org.joda.time.DateTime dateTime62 = new org.joda.time.DateTime(dateTimeZone61);
//     org.joda.time.DateTime dateTime64 = dateTime62.withMillis(1L);
//     boolean b65 = dateTime62.isEqualNow();
//     int i66 = dateTime62.getHourOfDay();
//     org.joda.time.DateTime.Property property67 = dateTime62.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone68 = null;
//     org.joda.time.DateTime dateTime69 = dateTime62.toDateTime(dateTimeZone68);
//     org.joda.time.LocalDate localDate70 = dateTime69.toLocalDate();
//     int[] i_array72 = iSOChronology58.get((org.joda.time.ReadablePartial)localDate70, 100L);
//     int i73 = offsetDateTimeField53.getMinimumValue((org.joda.time.ReadablePartial)localDate70);
//     org.joda.time.DateTime dateTime74 = dateTime28.withFields((org.joda.time.ReadablePartial)localDate70);
//     int i75 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate70);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long78 = offsetDateTimeField4.set(800L, "GregorianChronology[+01:07]");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "74"+ "'", str26.equals("74"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b35 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b41 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long56 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str57 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str57.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b65 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i73 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i75 == 8);
// 
//   }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
    java.lang.String str8 = offsetDateTimeField4.toString();
    java.util.Locale locale11 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long12 = offsetDateTimeField4.set(0L, "19700101T010700.001+0107", locale11);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1456076907615L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(4020010, 80, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 85);

  }

  @Test
  public void test332() {}
// Defects4J: flaky method
//   @Test
//   public void test332() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     int i7 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property8 = dateTime1.yearOfCentury();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property8);
// 
//   }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1500000L, 4800000800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4798500800L));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder8.appendYearOfCentury(0, 2000);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder11.appendHalfdayOfDayText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder11.appendSecondOfMinute(85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder14);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("80");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("minuteOfDay", 4000);
    org.joda.time.DateTimeZone dateTimeZone6 = dateTimeZoneBuilder3.toDateTimeZone("1970-01-01T00:15:00.010", true);
    java.io.OutputStream outputStream8 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder3.writeTo("ZonedChronology[ISOChronology[UTC], +01:07]", outputStream8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime.Property property2 = dateTime1.millisOfSecond();
    org.joda.time.DateTime dateTime4 = dateTime1.plusWeeks(0);
    boolean b6 = dateTime1.isAfter(1456076907615L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test338() {}
// Defects4J: flaky method
//   @Test
//   public void test338() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
//     org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
//     org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology5.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField9 = new org.joda.time.field.OffsetDateTimeField(dateTimeField7, 8);
//     int i11 = offsetDateTimeField9.get(10L);
//     java.util.Locale locale13 = null;
//     java.lang.String str14 = offsetDateTimeField9.getAsShortText(100L, locale13);
//     long long16 = offsetDateTimeField9.roundHalfEven((-3119990L));
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 8);
//     int i23 = offsetDateTimeField21.get(10L);
//     java.util.Locale locale25 = null;
//     java.lang.String str26 = offsetDateTimeField21.getAsShortText(100L, locale25);
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField29 = iSOChronology27.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField31 = new org.joda.time.field.OffsetDateTimeField(dateTimeField29, 8);
//     long long34 = offsetDateTimeField31.add(1456070907615L, 100L);
//     java.lang.String str35 = offsetDateTimeField31.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField37 = iSOChronology36.clockhourOfDay();
//     org.joda.time.DurationField durationField38 = iSOChronology36.seconds();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.DateTime dateTime42 = dateTime40.withMillis(1L);
//     boolean b43 = dateTime40.isEqualNow();
//     int i44 = dateTime40.getHourOfDay();
//     org.joda.time.DateTime.Property property45 = dateTime40.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone46 = null;
//     org.joda.time.DateTime dateTime47 = dateTime40.toDateTime(dateTimeZone46);
//     org.joda.time.LocalDate localDate48 = dateTime47.toLocalDate();
//     int[] i_array50 = iSOChronology36.get((org.joda.time.ReadablePartial)localDate48, 100L);
//     int i51 = offsetDateTimeField31.getMinimumValue((org.joda.time.ReadablePartial)localDate48);
//     org.joda.time.chrono.ISOChronology iSOChronology52 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField53 = iSOChronology52.clockhourOfDay();
//     org.joda.time.DurationField durationField54 = iSOChronology52.seconds();
//     org.joda.time.DateTimeZone dateTimeZone55 = null;
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone55);
//     org.joda.time.DateTime dateTime58 = dateTime56.withMillis(1L);
//     boolean b59 = dateTime56.isEqualNow();
//     int i60 = dateTime56.getHourOfDay();
//     org.joda.time.DateTime.Property property61 = dateTime56.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone62 = null;
//     org.joda.time.DateTime dateTime63 = dateTime56.toDateTime(dateTimeZone62);
//     org.joda.time.LocalDate localDate64 = dateTime63.toLocalDate();
//     int[] i_array66 = iSOChronology52.get((org.joda.time.ReadablePartial)localDate64, 100L);
//     int i67 = offsetDateTimeField21.getMaximumValue((org.joda.time.ReadablePartial)localDate48, i_array66);
//     int[] i_array69 = new int[] { (-1) };
//     int i70 = offsetDateTimeField9.getMaximumValue((org.joda.time.ReadablePartial)localDate48, i_array69);
//     long long72 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate48, 0L);
//     org.joda.time.DurationField durationField73 = iSOChronology0.centuries();
//     org.joda.time.DurationFieldType durationFieldType74 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.ScaledDurationField scaledDurationField76 = new org.joda.time.field.ScaledDurationField(durationField73, durationFieldType74, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "75"+ "'", str14.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "75"+ "'", str26.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long34 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str35.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b59 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i60 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i67 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long72 == 1456012800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField73);
// 
//   }

  @Test
  public void test339() {}
// Defects4J: flaky method
//   @Test
//   public void test339() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
//     org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
//     org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology5.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField9 = new org.joda.time.field.OffsetDateTimeField(dateTimeField7, 8);
//     int i11 = offsetDateTimeField9.get(10L);
//     java.util.Locale locale13 = null;
//     java.lang.String str14 = offsetDateTimeField9.getAsShortText(100L, locale13);
//     long long16 = offsetDateTimeField9.roundHalfEven((-3119990L));
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 8);
//     int i23 = offsetDateTimeField21.get(10L);
//     java.util.Locale locale25 = null;
//     java.lang.String str26 = offsetDateTimeField21.getAsShortText(100L, locale25);
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField29 = iSOChronology27.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField31 = new org.joda.time.field.OffsetDateTimeField(dateTimeField29, 8);
//     long long34 = offsetDateTimeField31.add(1456070907615L, 100L);
//     java.lang.String str35 = offsetDateTimeField31.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField37 = iSOChronology36.clockhourOfDay();
//     org.joda.time.DurationField durationField38 = iSOChronology36.seconds();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.DateTime dateTime42 = dateTime40.withMillis(1L);
//     boolean b43 = dateTime40.isEqualNow();
//     int i44 = dateTime40.getHourOfDay();
//     org.joda.time.DateTime.Property property45 = dateTime40.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone46 = null;
//     org.joda.time.DateTime dateTime47 = dateTime40.toDateTime(dateTimeZone46);
//     org.joda.time.LocalDate localDate48 = dateTime47.toLocalDate();
//     int[] i_array50 = iSOChronology36.get((org.joda.time.ReadablePartial)localDate48, 100L);
//     int i51 = offsetDateTimeField31.getMinimumValue((org.joda.time.ReadablePartial)localDate48);
//     org.joda.time.chrono.ISOChronology iSOChronology52 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField53 = iSOChronology52.clockhourOfDay();
//     org.joda.time.DurationField durationField54 = iSOChronology52.seconds();
//     org.joda.time.DateTimeZone dateTimeZone55 = null;
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone55);
//     org.joda.time.DateTime dateTime58 = dateTime56.withMillis(1L);
//     boolean b59 = dateTime56.isEqualNow();
//     int i60 = dateTime56.getHourOfDay();
//     org.joda.time.DateTime.Property property61 = dateTime56.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone62 = null;
//     org.joda.time.DateTime dateTime63 = dateTime56.toDateTime(dateTimeZone62);
//     org.joda.time.LocalDate localDate64 = dateTime63.toLocalDate();
//     int[] i_array66 = iSOChronology52.get((org.joda.time.ReadablePartial)localDate64, 100L);
//     int i67 = offsetDateTimeField21.getMaximumValue((org.joda.time.ReadablePartial)localDate48, i_array66);
//     int[] i_array69 = new int[] { (-1) };
//     int i70 = offsetDateTimeField9.getMaximumValue((org.joda.time.ReadablePartial)localDate48, i_array69);
//     long long72 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate48, 0L);
//     org.joda.time.DurationField durationField73 = iSOChronology0.centuries();
//     org.joda.time.DateTimeField dateTimeField74 = iSOChronology0.hourOfHalfday();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "75"+ "'", str14.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "75"+ "'", str26.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long34 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str35.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b59 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i60 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i67 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long72 == 1456012800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField74);
// 
//   }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(20, 21, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone9 = iSOChronology6.getZone();
    org.joda.time.DurationField durationField10 = iSOChronology6.centuries();
    java.util.TimeZone timeZone11 = null;
    org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
    org.joda.time.Chronology chronology13 = iSOChronology6.withZone(dateTimeZone12);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(21, 4020010, 16, (-576000000), 99, 2, (org.joda.time.Chronology)iSOChronology6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatterBuilder0.toParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendTwoDigitWeekyear(0, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder0.appendPattern("");
    org.joda.time.format.DateTimeFormatter dateTimeFormatter10 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
    org.joda.time.format.DateTimePrinter dateTimePrinter11 = dateTimeFormatter10.getPrinter();
    org.joda.time.format.DateTimeParser dateTimeParser12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder9.append(dateTimePrinter11, dateTimeParser12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimePrinter11);

  }

  @Test
  public void test343() {}
// Defects4J: flaky method
//   @Test
//   public void test343() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     int i7 = dateTime1.getHourOfDay();
//     java.util.Date date8 = dateTime1.toDate();
//     int i9 = dateTime1.getDayOfYear();
//     int i10 = dateTime1.getCenturyOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 20);
// 
//   }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    java.lang.String str16 = zonedChronology15.toString();
    org.joda.time.DateTimeField dateTimeField17 = zonedChronology15.clockhourOfDay();
    org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str22 = dateTimeZone20.getName(1L);
    org.joda.time.LocalDateTime localDateTime23 = null;
    boolean b24 = dateTimeZone20.isLocalDateTimeGap(localDateTime23);
    org.joda.time.chrono.GregorianChronology gregorianChronology25 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone20);
    java.lang.String str26 = dateTimeZone20.getID();
    org.joda.time.Chronology chronology27 = zonedChronology15.withZone(dateTimeZone20);
    org.joda.time.ReadablePeriod readablePeriod28 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array31 = zonedChronology15.get(readablePeriod28, 10L, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:07]"+ "'", str16.equals("ZonedChronology[ISOChronology[UTC], +01:07]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+01:07"+ "'", str22.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+01:07"+ "'", str26.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone7);
    org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(488, 80000, 20, 1800020, 2000, dateTimeZone7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(4, 4800600800L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.joda.time.tz.DefaultNameProvider defaultNameProvider0 = new org.joda.time.tz.DefaultNameProvider();
    java.util.Locale locale1 = null;
    java.lang.String str4 = defaultNameProvider0.getName(locale1, "hi!", "19691231T160000.001-0800");
    org.joda.time.DateTimeZone.setNameProvider((org.joda.time.tz.NameProvider)defaultNameProvider0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("minuteOfDay", 4000);
    java.io.DataOutput dataOutput5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("1970-01-01T00:15:00.010+01:07", dataOutput5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    java.io.Writer writer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer1, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    java.util.TimeZone timeZone1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone2, 4);
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime((-3119990L), (org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone9 = iSOChronology6.getZone();
    org.joda.time.DurationField durationField10 = iSOChronology6.centuries();
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str15 = dateTimeZone13.getName(1L);
    org.joda.time.LocalDateTime localDateTime16 = null;
    boolean b17 = dateTimeZone13.isLocalDateTimeGap(localDateTime16);
    java.util.Locale locale19 = null;
    java.lang.String str20 = dateTimeZone13.getName(800L, locale19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology6, dateTimeZone13);
    org.joda.time.DateTimeZone dateTimeZone22 = zonedChronology21.getZone();
    org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str27 = dateTimeZone25.getName(1L);
    org.joda.time.LocalDateTime localDateTime28 = null;
    boolean b29 = dateTimeZone25.isLocalDateTimeGap(localDateTime28);
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone25);
    org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone25);
    org.joda.time.Chronology chronology32 = zonedChronology21.withZone(dateTimeZone25);
    org.joda.time.DurationField durationField33 = zonedChronology21.centuries();
    org.joda.time.DateTime dateTime34 = dateTime5.toDateTime((org.joda.time.Chronology)zonedChronology21);
    java.util.Locale locale36 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str37 = dateTime5.toString("(\"org.joda.time.JodaTimePermission\" \"hi!\")", locale36);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+01:07"+ "'", str15.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+01:07"+ "'", str20.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "+01:07"+ "'", str27.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    boolean b11 = dateTime6.isAfter((-1L));
    int i12 = dateTime6.getYearOfEra();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime.Property property14 = dateTime6.property(dateTimeFieldType13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2016);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(800L);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
    java.lang.String str8 = offsetDateTimeField4.getName();
    long long10 = offsetDateTimeField4.roundHalfFloor((-1L));
    long long12 = offsetDateTimeField4.roundHalfEven(58080099L);
    long long14 = offsetDateTimeField4.roundHalfEven(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1456076907615L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 58080000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.timeNoMillis();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("2016-W07-7", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test356() {}
// Defects4J: flaky method
//   @Test
//   public void test356() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     int i4 = dateTime1.getWeekOfWeekyear();
//     org.joda.time.DateTimeZone dateTimeZone5 = null;
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
//     boolean b8 = dateTime6.isEqual(0L);
//     boolean b9 = dateTime1.equals((java.lang.Object)b8);
//     org.joda.time.DateTimeZone dateTimeZone10 = null;
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTime dateTime13 = dateTime11.withMillis(1L);
//     boolean b14 = dateTime11.isEqualNow();
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime11.withChronology(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime11.minus((-1L));
//     int i19 = dateTime1.compareTo((org.joda.time.ReadableInstant)dateTime18);
//     org.joda.time.TimeOfDay timeOfDay20 = dateTime18.toTimeOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField22 = iSOChronology21.clockhourOfDay();
//     org.joda.time.MutableDateTime mutableDateTime23 = dateTime18.toMutableDateTime((org.joda.time.Chronology)iSOChronology21);
//     org.joda.time.DateTimeZone dateTimeZone24 = null;
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.DateTime dateTime27 = dateTime25.withMillis(1L);
//     org.joda.time.DateTime dateTime29 = dateTime25.withYearOfCentury(8);
//     org.joda.time.DateTime dateTime31 = dateTime25.plusMonths(0);
//     org.joda.time.ReadablePeriod readablePeriod32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime25.minus(readablePeriod32);
//     org.joda.time.LocalDateTime localDateTime34 = dateTime33.toLocalDateTime();
//     org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField36 = iSOChronology35.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField37 = iSOChronology35.clockhourOfDay();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter38 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter39 = dateTimeFormatter38.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone40 = null;
//     org.joda.time.DateTime dateTime41 = new org.joda.time.DateTime(dateTimeZone40);
//     org.joda.time.DateTime dateTime43 = dateTime41.withMillis(1L);
//     boolean b44 = dateTime41.isEqualNow();
//     int i45 = dateTime41.getHourOfDay();
//     org.joda.time.DateTime.Property property46 = dateTime41.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone47 = null;
//     org.joda.time.DateTime dateTime48 = dateTime41.toDateTime(dateTimeZone47);
//     org.joda.time.LocalDate localDate49 = dateTime48.toLocalDate();
//     java.lang.String str50 = dateTimeFormatter38.print((org.joda.time.ReadablePartial)localDate49);
//     int[] i_array52 = iSOChronology35.get((org.joda.time.ReadablePartial)localDate49, 58080000L);
//     // The following exception was thrown during execution in test generation
//     try {
//       iSOChronology21.validate((org.joda.time.ReadablePartial)localDateTime34, i_array52);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b8 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b44 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i45 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str50 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str50.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array52);
// 
//   }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test358() {}
// Defects4J: flaky method
//   @Test
//   public void test358() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.millisOfDay();
//     org.joda.time.ReadableDuration readableDuration7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.minus(readableDuration7);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter10 = dateTimeFormatter9.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone11 = null;
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.DateTime dateTime14 = dateTime12.withMillis(1L);
//     boolean b15 = dateTime12.isEqualNow();
//     int i16 = dateTime12.getHourOfDay();
//     org.joda.time.DateTime.Property property17 = dateTime12.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone18 = null;
//     org.joda.time.DateTime dateTime19 = dateTime12.toDateTime(dateTimeZone18);
//     org.joda.time.LocalDate localDate20 = dateTime19.toLocalDate();
//     java.lang.String str21 = dateTimeFormatter9.print((org.joda.time.ReadablePartial)localDate20);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = dateTimeFormatter9.withOffsetParsed();
//     java.lang.String str23 = dateTime8.toString(dateTimeFormatter9);
//     org.joda.time.ReadablePeriod readablePeriod24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime8.plus(readablePeriod24);
//     long long26 = dateTime8.getMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str21.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "2016-02-21T18:55:27.615"+ "'", str23.equals("2016-02-21T18:55:27.615"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long26 == 1456076907615L);
// 
//   }

  @Test
  public void test359() {}
// Defects4J: flaky method
//   @Test
//   public void test359() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long6 = offsetDateTimeField4.roundCeiling(100L);
//     org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
//     long long10 = offsetDateTimeField4.addWrapField((-3119990L), 0);
//     org.joda.time.chrono.ISOChronology iSOChronology11 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField12 = iSOChronology11.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology11.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField15 = new org.joda.time.field.OffsetDateTimeField(dateTimeField13, 8);
//     int i17 = offsetDateTimeField15.get(10L);
//     java.util.Locale locale19 = null;
//     java.lang.String str20 = offsetDateTimeField15.getAsShortText(100L, locale19);
//     long long22 = offsetDateTimeField15.roundHalfEven((-3119990L));
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter23 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter24 = dateTimeFormatter23.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.DateTime dateTime28 = dateTime26.withMillis(1L);
//     boolean b29 = dateTime26.isEqualNow();
//     int i30 = dateTime26.getHourOfDay();
//     org.joda.time.DateTime.Property property31 = dateTime26.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime26.toDateTime(dateTimeZone32);
//     org.joda.time.LocalDate localDate34 = dateTime33.toLocalDate();
//     java.lang.String str35 = dateTimeFormatter23.print((org.joda.time.ReadablePartial)localDate34);
//     int i36 = offsetDateTimeField15.getMaximumValue((org.joda.time.ReadablePartial)localDate34);
//     java.util.Locale locale37 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str38 = offsetDateTimeField4.getAsShortText((org.joda.time.ReadablePartial)localDate34, locale37);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long6 == 60000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-3119990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "75"+ "'", str20.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long22 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str35.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 1447);
// 
//   }

  @Test
  public void test360() {}
// Defects4J: flaky method
//   @Test
//   public void test360() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
//     java.lang.String str2 = dateTimeFormatter0.print(1L);
//     java.util.Locale locale3 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatter0.withLocale(locale3);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = dateTimeFormatter0.withZoneUTC();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime7 = dateTimeFormatter5.parseMutableDateTime("75");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "19700101T010700.001+0107"+ "'", str2.equals("19700101T010700.001+0107"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter5);
// 
//   }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 990L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("minuteOfDay", 4000);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder6 = dateTimeZoneBuilder3.setFixedSavings("1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000", 0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder3.addCutover(52, '4', (-4020000), 908, 4000, true, (-1971));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder6);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone4 = iSOChronology1.getZone();
    org.joda.time.DurationField durationField5 = iSOChronology1.weeks();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = dateTimeFormatter0.withChronology((org.joda.time.Chronology)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology1.clockhourOfHalfday();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-4799999999L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getMillis(19, 1456070880000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
    org.joda.time.DurationField durationField4 = iSOChronology1.minutes();
    long long7 = durationField4.subtract(1L, 80000);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField8 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-4799999999L));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime1.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    boolean b13 = dateTime10.isEqualNow();
    org.joda.time.Chronology chronology14 = null;
    org.joda.time.DateTime dateTime15 = dateTime10.withChronology(chronology14);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    org.joda.time.DateTime dateTime18 = dateTime15.withPeriodAdded(readablePeriod16, 8);
    org.joda.time.DateTime dateTime20 = dateTime18.plusYears(7);
    org.joda.time.ReadableDuration readableDuration21 = null;
    org.joda.time.DateTime dateTime23 = dateTime20.withDurationAdded(readableDuration21, 7);
    int i24 = dateTime1.compareTo((org.joda.time.ReadableInstant)dateTime23);
    org.joda.time.MutableDateTime mutableDateTime25 = dateTime23.toMutableDateTime();
    org.joda.time.Instant instant26 = mutableDateTime25.toInstant();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant26);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    boolean b4 = unsupportedDurationField1.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = unsupportedDurationField1.getMillis(1456012800000L, 1456070907615L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeZone dateTimeZone1 = gregorianChronology0.getZone();
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.hourOfHalfday();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology5.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.DurationField durationField9 = iSOChronology5.centuries();
    org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str14 = dateTimeZone12.getName(1L);
    org.joda.time.LocalDateTime localDateTime15 = null;
    boolean b16 = dateTimeZone12.isLocalDateTimeGap(localDateTime15);
    java.util.Locale locale18 = null;
    java.lang.String str19 = dateTimeZone12.getName(800L, locale18);
    org.joda.time.chrono.ZonedChronology zonedChronology20 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology5, dateTimeZone12);
    org.joda.time.DateTimeField dateTimeField21 = zonedChronology20.weekyearOfCentury();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime22 = new org.joda.time.DateTime(80, 75, 908, (-576000000), 6, (org.joda.time.Chronology)zonedChronology20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+01:07"+ "'", str19.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField21);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() {}
// Defects4J: flaky method
//   @Test
//   public void test373() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     int i5 = dateTime1.getHourOfDay();
//     org.joda.time.DateTime.Property property6 = dateTime1.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime1.toDateTime(dateTimeZone7);
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(10);
//     org.joda.time.ReadableInstant readableInstant11 = null;
//     boolean b12 = dateTime10.isBefore(readableInstant11);
//     long long13 = dateTime10.getMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == (-61847129492385L));
// 
//   }

  @Test
  public void test374() {}
// Defects4J: flaky method
//   @Test
//   public void test374() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     org.joda.time.DateTime.Property property4 = dateTime3.millisOfSecond();
//     int i5 = dateTime3.getMinuteOfHour();
//     org.joda.time.DateTime dateTime7 = dateTime3.minusMillis(7);
//     org.joda.time.DateTime dateTime9 = dateTime3.withCenturyOfEra(52);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str11 = dateTime3.toString("1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
// 
//   }

  @Test
  public void test375() {}
// Defects4J: flaky method
//   @Test
//   public void test375() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long27 = unsupportedDateTimeField23.add(4020800L, (-1));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
// 
//   }

  @Test
  public void test376() {}
// Defects4J: flaky method
//   @Test
//   public void test376() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long25 = unsupportedDateTimeField23.remainder(58080099L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
// 
//   }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("PST", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount((-3120000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime1.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    boolean b13 = dateTime10.isEqualNow();
    org.joda.time.Chronology chronology14 = null;
    org.joda.time.DateTime dateTime15 = dateTime10.withChronology(chronology14);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    org.joda.time.DateTime dateTime18 = dateTime15.withPeriodAdded(readablePeriod16, 8);
    org.joda.time.DateTime dateTime20 = dateTime18.plusYears(7);
    org.joda.time.ReadableDuration readableDuration21 = null;
    org.joda.time.DateTime dateTime23 = dateTime20.withDurationAdded(readableDuration21, 7);
    int i24 = dateTime1.compareTo((org.joda.time.ReadableInstant)dateTime23);
    org.joda.time.MutableDateTime mutableDateTime25 = dateTime23.toMutableDateTime();
    java.util.GregorianCalendar gregorianCalendar26 = dateTime23.toGregorianCalendar();
    org.joda.time.DateTime dateTime28 = dateTime23.withYear(0);
    org.joda.time.DateTime dateTime30 = dateTime23.minusHours(75);
    org.joda.time.DateTime.Property property31 = dateTime23.year();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);

  }

  @Test
  public void test380() {}
// Defects4J: flaky method
//   @Test
//   public void test380() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology24.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField28 = new org.joda.time.field.OffsetDateTimeField(dateTimeField26, 8);
//     long long31 = offsetDateTimeField28.add(1456070907615L, 100L);
//     java.lang.String str32 = offsetDateTimeField28.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField34 = iSOChronology33.clockhourOfDay();
//     org.joda.time.DurationField durationField35 = iSOChronology33.seconds();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone36);
//     org.joda.time.DateTime dateTime39 = dateTime37.withMillis(1L);
//     boolean b40 = dateTime37.isEqualNow();
//     int i41 = dateTime37.getHourOfDay();
//     org.joda.time.DateTime.Property property42 = dateTime37.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone43 = null;
//     org.joda.time.DateTime dateTime44 = dateTime37.toDateTime(dateTimeZone43);
//     org.joda.time.LocalDate localDate45 = dateTime44.toLocalDate();
//     int[] i_array47 = iSOChronology33.get((org.joda.time.ReadablePartial)localDate45, 100L);
//     int i48 = offsetDateTimeField28.getMinimumValue((org.joda.time.ReadablePartial)localDate45);
//     org.joda.time.chrono.ISOChronology iSOChronology50 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField51 = iSOChronology50.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField52 = iSOChronology50.clockhourOfDay();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter53 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter54 = dateTimeFormatter53.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone55 = null;
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone55);
//     org.joda.time.DateTime dateTime58 = dateTime56.withMillis(1L);
//     boolean b59 = dateTime56.isEqualNow();
//     int i60 = dateTime56.getHourOfDay();
//     org.joda.time.DateTime.Property property61 = dateTime56.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone62 = null;
//     org.joda.time.DateTime dateTime63 = dateTime56.toDateTime(dateTimeZone62);
//     org.joda.time.LocalDate localDate64 = dateTime63.toLocalDate();
//     java.lang.String str65 = dateTimeFormatter53.print((org.joda.time.ReadablePartial)localDate64);
//     int[] i_array67 = iSOChronology50.get((org.joda.time.ReadablePartial)localDate64, 58080000L);
//     java.util.Locale locale69 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array70 = unsupportedDateTimeField23.set((org.joda.time.ReadablePartial)localDate45, 1800020, i_array67, "1969-12-31T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000", locale69);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long31 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str32 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str32.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b59 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i60 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str65 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str65.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array67);
// 
//   }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(7, (-28800000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-28799993));

  }

  @Test
  public void test382() {}
// Defects4J: flaky method
//   @Test
//   public void test382() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     org.joda.time.DateTimeZone dateTimeZone25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.DateTime dateTime28 = dateTime26.withMillis(1L);
//     boolean b29 = dateTime26.isEqualNow();
//     int i30 = dateTime26.getHourOfDay();
//     org.joda.time.DateTime.Property property31 = dateTime26.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime26.toDateTime(dateTimeZone32);
//     org.joda.time.LocalDate localDate34 = dateTime33.toLocalDate();
//     org.joda.time.ReadableDuration readableDuration35 = null;
//     org.joda.time.DateTime dateTime37 = dateTime33.withDurationAdded(readableDuration35, (-1));
//     org.joda.time.DateTime dateTime39 = dateTime37.plusSeconds(8);
//     org.joda.time.DateTime.Property property40 = dateTime39.minuteOfDay();
//     org.joda.time.YearMonthDay yearMonthDay41 = dateTime39.toYearMonthDay();
//     org.joda.time.chrono.ISOChronology iSOChronology43 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField44 = iSOChronology43.clockhourOfDay();
//     org.joda.time.DurationField durationField45 = iSOChronology43.seconds();
//     org.joda.time.DateTimeZone dateTimeZone46 = null;
//     org.joda.time.DateTime dateTime47 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.DateTime dateTime49 = dateTime47.withMillis(1L);
//     boolean b50 = dateTime47.isEqualNow();
//     int i51 = dateTime47.getHourOfDay();
//     org.joda.time.DateTime.Property property52 = dateTime47.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime47.toDateTime(dateTimeZone53);
//     org.joda.time.LocalDate localDate55 = dateTime54.toLocalDate();
//     int[] i_array57 = iSOChronology43.get((org.joda.time.ReadablePartial)localDate55, 100L);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array59 = unsupportedDateTimeField23.addWrapField((org.joda.time.ReadablePartial)yearMonthDay41, 27, i_array57, (-1971));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(yearMonthDay41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b50 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array57);
// 
//   }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)4020010, (java.lang.Number)(-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    // The following exception was thrown during execution in test generation
    try {
      int i7 = unsupportedDurationField1.getValue((-4798500800L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long27 = unsupportedDateTimeField23.addWrapField(220921680010L, (-28796000));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
// 
//   }

  @Test
  public void test386() {}
// Defects4J: flaky method
//   @Test
//   public void test386() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
//     boolean b6 = dateTime3.isEqualNow();
//     int i7 = dateTime3.getHourOfDay();
//     org.joda.time.DateTime.Property property8 = dateTime3.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime3.toDateTime(dateTimeZone9);
//     org.joda.time.LocalDate localDate11 = dateTime10.toLocalDate();
//     java.lang.String str12 = dateTimeFormatter0.print((org.joda.time.ReadablePartial)localDate11);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDateTime localDateTime14 = dateTimeFormatter0.parseLocalDateTime("ZonedChronology[ISOChronology[UTC], +01:07]");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str12.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
// 
//   }

  @Test
  public void test387() {}
// Defects4J: flaky method
//   @Test
//   public void test387() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.DurationField durationField3 = iSOChronology0.minutes();
//     org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.centuryOfEra();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
//     java.lang.String str7 = dateTimeFormatter5.print(1L);
//     java.util.Locale locale8 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = dateTimeFormatter5.withLocale(locale8);
//     boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)dateTimeFormatter9);
//     java.lang.StringBuffer stringBuffer11 = null;
//     org.joda.time.ReadableInstant readableInstant12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter9.printTo(stringBuffer11, readableInstant12);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "19700101T010700.001+0107"+ "'", str7.equals("19700101T010700.001+0107"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
// 
//   }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    boolean b3 = dateTime1.isEqual(0L);
    org.joda.time.ReadablePeriod readablePeriod4 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withPeriodAdded(readablePeriod4, 0);
    boolean b7 = dateTime6.isAfterNow();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder10.appendDayOfMonth(8);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder13.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter17 = dateTimeFormatterBuilder13.toFormatter();
    org.joda.time.format.DateTimeParser dateTimeParser18 = dateTimeFormatter17.getParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder12.appendOptional(dateTimeParser18);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder22 = dateTimeFormatterBuilder19.appendFixedDecimal(dateTimeFieldType20, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("+01:07");

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.util.Set set0 = org.joda.time.DateTimeZone.getAvailableIDs();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = org.joda.time.format.ISODateTimeFormat.forFields((java.util.Collection)set0, false, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set0);

  }

  @Test
  public void test392() {}
// Defects4J: flaky method
//   @Test
//   public void test392() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology25.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone28 = iSOChronology25.getZone();
//     org.joda.time.DurationField durationField29 = iSOChronology25.centuries();
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
//     java.lang.String str34 = dateTimeZone32.getName(1L);
//     org.joda.time.LocalDateTime localDateTime35 = null;
//     boolean b36 = dateTimeZone32.isLocalDateTimeGap(localDateTime35);
//     java.util.Locale locale38 = null;
//     java.lang.String str39 = dateTimeZone32.getName(800L, locale38);
//     org.joda.time.chrono.ZonedChronology zonedChronology40 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology25, dateTimeZone32);
//     org.joda.time.DateTimeZone.setDefault(dateTimeZone32);
//     org.joda.time.DateTimeZone dateTimeZone42 = null;
//     org.joda.time.DateTime dateTime43 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.DateTime dateTime45 = dateTime43.withMillis(1L);
//     org.joda.time.DateTime dateTime47 = dateTime43.withYearOfCentury(8);
//     org.joda.time.DateTime dateTime49 = dateTime43.plusMonths(0);
//     org.joda.time.ReadablePeriod readablePeriod50 = null;
//     org.joda.time.DateTime dateTime51 = dateTime43.minus(readablePeriod50);
//     org.joda.time.LocalDateTime localDateTime52 = dateTime51.toLocalDateTime();
//     boolean b53 = dateTimeZone32.isLocalDateTimeGap(localDateTime52);
//     java.util.Locale locale54 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str55 = unsupportedDateTimeField23.getAsText((org.joda.time.ReadablePartial)localDateTime52, locale54);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "+01:07"+ "'", str34.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "+01:07"+ "'", str39.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b53 == false);
// 
//   }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(2016, 4020000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(8, 80, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    boolean b4 = unsupportedDurationField1.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = unsupportedDurationField1.getMillis(0, 1456076907615L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test396() {}
// Defects4J: flaky method
//   @Test
//   public void test396() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsShortText(100L, locale8);
//     long long11 = offsetDateTimeField4.roundHalfEven((-3119990L));
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter12 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondMillis();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = dateTimeFormatter12.withZoneUTC();
//     org.joda.time.DateTimeZone dateTimeZone14 = null;
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.DateTime dateTime17 = dateTime15.withMillis(1L);
//     boolean b18 = dateTime15.isEqualNow();
//     int i19 = dateTime15.getHourOfDay();
//     org.joda.time.DateTime.Property property20 = dateTime15.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone21 = null;
//     org.joda.time.DateTime dateTime22 = dateTime15.toDateTime(dateTimeZone21);
//     org.joda.time.LocalDate localDate23 = dateTime22.toLocalDate();
//     java.lang.String str24 = dateTimeFormatter12.print((org.joda.time.ReadablePartial)localDate23);
//     int i25 = offsetDateTimeField4.getMaximumValue((org.joda.time.ReadablePartial)localDate23);
//     java.lang.String str27 = offsetDateTimeField4.getAsShortText(2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"+ "'", str24.equals("2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "75"+ "'", str27.equals("75"));
// 
//   }

  @Test
  public void test397() {}
// Defects4J: flaky method
//   @Test
//   public void test397() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }
// 
// 
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 8);
//     int i7 = offsetDateTimeField5.get(10L);
//     java.util.Locale locale9 = null;
//     java.lang.String str10 = offsetDateTimeField5.getAsText(0L, locale9);
//     long long13 = offsetDateTimeField5.set(300000L, 100);
//     int i15 = offsetDateTimeField5.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType16 = offsetDateTimeField5.getType();
//     org.joda.time.DurationFieldType durationFieldType17 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField18 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType17);
//     boolean b20 = unsupportedDurationField18.equals((java.lang.Object)80000);
//     java.lang.Object obj21 = null;
//     boolean b22 = unsupportedDurationField18.equals(obj21);
//     boolean b23 = unsupportedDurationField18.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField24 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType16, (org.joda.time.DurationField)unsupportedDurationField18);
//     org.joda.time.DateTimeFieldType dateTimeFieldType25 = unsupportedDateTimeField24.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.RemainderDateTimeField remainderDateTimeField26 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType25);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "75"+ "'", str10.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType25);
// 
//   }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.joda.time.tz.DefaultNameProvider defaultNameProvider0 = new org.joda.time.tz.DefaultNameProvider();
    java.util.Locale locale1 = null;
    java.lang.String str4 = defaultNameProvider0.getName(locale1, "hi!", "19691231T160000.001-0800");
    java.util.Locale locale5 = null;
    java.lang.String str8 = defaultNameProvider0.getShortName(locale5, "", "(\"org.joda.time.JodaTimePermission\" \"hi!\")");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test399() {}
// Defects4J: flaky method
//   @Test
//   public void test399() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     org.joda.time.DurationField durationField25 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology26.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology26.minuteOfDay();
//     org.joda.time.DurationField durationField29 = iSOChronology26.minutes();
//     long long32 = durationField29.subtract(10L, 52);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.PreciseDateTimeField preciseDateTimeField33 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType24, durationField25, durationField29);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long32 == (-3119990L));
// 
//   }

  @Test
  public void test400() {}
// Defects4J: flaky method
//   @Test
//   public void test400() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
//     java.lang.String str2 = dateTimeFormatter0.print((-1L));
//     java.lang.StringBuffer stringBuffer3 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(stringBuffer3, (-1L));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "01:06:59.999"+ "'", str2.equals("01:06:59.999"));
// 
//   }

  @Test
  public void test401() {}
// Defects4J: flaky method
//   @Test
//   public void test401() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
//     org.joda.time.DurationField durationField3 = iSOChronology0.days();
//     org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField8 = new org.joda.time.field.OffsetDateTimeField(dateTimeField6, 8);
//     int i10 = offsetDateTimeField8.get(10L);
//     java.util.Locale locale12 = null;
//     java.lang.String str13 = offsetDateTimeField8.getAsShortText(100L, locale12);
//     long long15 = offsetDateTimeField8.roundHalfEven((-3119990L));
//     org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology16.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField20 = new org.joda.time.field.OffsetDateTimeField(dateTimeField18, 8);
//     int i22 = offsetDateTimeField20.get(10L);
//     java.util.Locale locale24 = null;
//     java.lang.String str25 = offsetDateTimeField20.getAsShortText(100L, locale24);
//     org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology26.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology26.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 8);
//     long long33 = offsetDateTimeField30.add(1456070907615L, 100L);
//     java.lang.String str34 = offsetDateTimeField30.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField36 = iSOChronology35.clockhourOfDay();
//     org.joda.time.DurationField durationField37 = iSOChronology35.seconds();
//     org.joda.time.DateTimeZone dateTimeZone38 = null;
//     org.joda.time.DateTime dateTime39 = new org.joda.time.DateTime(dateTimeZone38);
//     org.joda.time.DateTime dateTime41 = dateTime39.withMillis(1L);
//     boolean b42 = dateTime39.isEqualNow();
//     int i43 = dateTime39.getHourOfDay();
//     org.joda.time.DateTime.Property property44 = dateTime39.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone45 = null;
//     org.joda.time.DateTime dateTime46 = dateTime39.toDateTime(dateTimeZone45);
//     org.joda.time.LocalDate localDate47 = dateTime46.toLocalDate();
//     int[] i_array49 = iSOChronology35.get((org.joda.time.ReadablePartial)localDate47, 100L);
//     int i50 = offsetDateTimeField30.getMinimumValue((org.joda.time.ReadablePartial)localDate47);
//     org.joda.time.chrono.ISOChronology iSOChronology51 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField52 = iSOChronology51.clockhourOfDay();
//     org.joda.time.DurationField durationField53 = iSOChronology51.seconds();
//     org.joda.time.DateTimeZone dateTimeZone54 = null;
//     org.joda.time.DateTime dateTime55 = new org.joda.time.DateTime(dateTimeZone54);
//     org.joda.time.DateTime dateTime57 = dateTime55.withMillis(1L);
//     boolean b58 = dateTime55.isEqualNow();
//     int i59 = dateTime55.getHourOfDay();
//     org.joda.time.DateTime.Property property60 = dateTime55.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone61 = null;
//     org.joda.time.DateTime dateTime62 = dateTime55.toDateTime(dateTimeZone61);
//     org.joda.time.LocalDate localDate63 = dateTime62.toLocalDate();
//     int[] i_array65 = iSOChronology51.get((org.joda.time.ReadablePartial)localDate63, 100L);
//     int i66 = offsetDateTimeField20.getMaximumValue((org.joda.time.ReadablePartial)localDate47, i_array65);
//     int[] i_array68 = new int[] { (-1) };
//     int i69 = offsetDateTimeField8.getMaximumValue((org.joda.time.ReadablePartial)localDate47, i_array68);
//     long long71 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate47, 60000L);
//     org.joda.time.ReadablePeriod readablePeriod72 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array74 = iSOChronology0.get(readablePeriod72, 1456076907615L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "75"+ "'", str13.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "75"+ "'", str25.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long33 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str34.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i50 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b58 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i59 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long71 == 1456012860000L);
// 
//   }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.weekyear();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = iSOChronology0.getDateTimeMillis(18, 99, 60000, 85);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicOrdinalDateTimeNoMillis();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
    boolean b6 = dateTime3.isEqualNow();
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = dateTime3.withChronology(chronology7);
    org.joda.time.DateTime dateTime10 = dateTime3.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone11);
    org.joda.time.DateTime dateTime14 = dateTime12.withMillis(1L);
    boolean b15 = dateTime12.isEqualNow();
    org.joda.time.Chronology chronology16 = null;
    org.joda.time.DateTime dateTime17 = dateTime12.withChronology(chronology16);
    org.joda.time.ReadablePeriod readablePeriod18 = null;
    org.joda.time.DateTime dateTime20 = dateTime17.withPeriodAdded(readablePeriod18, 8);
    org.joda.time.DateTime dateTime22 = dateTime20.plusYears(7);
    org.joda.time.ReadableDuration readableDuration23 = null;
    org.joda.time.DateTime dateTime25 = dateTime22.withDurationAdded(readableDuration23, 7);
    int i26 = dateTime3.compareTo((org.joda.time.ReadableInstant)dateTime25);
    org.joda.time.MutableDateTime mutableDateTime27 = dateTime25.toMutableDateTime();
    java.util.GregorianCalendar gregorianCalendar28 = dateTime25.toGregorianCalendar();
    org.joda.time.DateTime dateTime30 = dateTime25.withYear(0);
    org.joda.time.DateTime dateTime32 = dateTime30.withYear((-28800000));
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadableInstant)dateTime32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
    long long6 = offsetDateTimeField4.roundCeiling(100L);
    org.joda.time.DurationField durationField7 = offsetDateTimeField4.getLeapDurationField();
    long long10 = offsetDateTimeField4.addWrapField((-3119990L), 0);
    int i11 = offsetDateTimeField4.getOffset();
    long long13 = offsetDateTimeField4.roundHalfFloor(0L);
    int i14 = offsetDateTimeField4.getOffset();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-3119990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)80000, (java.lang.Number)68127, (java.lang.Number)0.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() {}
// Defects4J: flaky method
//   @Test
//   public void test406() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i24 = unsupportedDateTimeField23.getMinimumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
// 
//   }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("minuteOfDay", 4000);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder6 = dateTimeZoneBuilder3.setFixedSavings("1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000", 0);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder8 = dateTimeZoneBuilder6.setStandardOffset(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder8.addCutover(7, '#', 68127615, 99, 4020000, true, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder8);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    java.lang.String str16 = zonedChronology15.toString();
    org.joda.time.DateTimeField dateTimeField17 = zonedChronology15.clockhourOfDay();
    org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str22 = dateTimeZone20.getName(1L);
    org.joda.time.LocalDateTime localDateTime23 = null;
    boolean b24 = dateTimeZone20.isLocalDateTimeGap(localDateTime23);
    org.joda.time.chrono.GregorianChronology gregorianChronology25 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone20);
    java.lang.String str26 = dateTimeZone20.getID();
    org.joda.time.Chronology chronology27 = zonedChronology15.withZone(dateTimeZone20);
    int i29 = dateTimeZone20.getOffsetFromLocal(58080099L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:07]"+ "'", str16.equals("ZonedChronology[ISOChronology[UTC], +01:07]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+01:07"+ "'", str22.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+01:07"+ "'", str26.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 4020000);

  }

  @Test
  public void test409() {}
// Defects4J: flaky method
//   @Test
//   public void test409() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i26 = unsupportedDateTimeField23.getMinimumValue(10L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
// 
//   }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology0.minuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("(\"org.joda.time.JodaTimePermission\" \"hi!\")", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1.0f), number2, (java.lang.Number)0L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() {}
// Defects4J: flaky method
//   @Test
//   public void test413() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     java.lang.String str9 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField11 = iSOChronology10.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField12 = iSOChronology10.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField14 = new org.joda.time.field.OffsetDateTimeField(dateTimeField12, 8);
//     int i16 = offsetDateTimeField14.get(10L);
//     java.util.Locale locale18 = null;
//     java.lang.String str19 = offsetDateTimeField14.getAsText(800L, locale18);
//     org.joda.time.DateTimeZone dateTimeZone20 = null;
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.DateTime dateTime23 = dateTime21.withMillis(1L);
//     boolean b24 = dateTime21.isEqualNow();
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime21.withChronology(chronology25);
//     org.joda.time.ReadablePeriod readablePeriod27 = null;
//     org.joda.time.DateTime dateTime29 = dateTime26.withPeriodAdded(readablePeriod27, 8);
//     org.joda.time.LocalDateTime localDateTime30 = dateTime26.toLocalDateTime();
//     int[] i_array31 = null;
//     int i32 = offsetDateTimeField14.getMinimumValue((org.joda.time.ReadablePartial)localDateTime30, i_array31);
//     int[] i_array36 = new int[] { 100, (-1) };
//     java.util.Locale locale38 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array39 = offsetDateTimeField4.set((org.joda.time.ReadablePartial)localDateTime30, (-28796000), i_array36, "GregorianChronology[+01:07]", locale38);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str9.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "75"+ "'", str19.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array36);
// 
//   }

  @Test
  public void test414() {}
// Defects4J: flaky method
//   @Test
//   public void test414() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DateTimeZone dateTimeZone25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.DateTime dateTime28 = dateTime26.withMillis(1L);
//     int i29 = dateTime26.getWeekOfWeekyear();
//     org.joda.time.DateTimeZone dateTimeZone30 = null;
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone30);
//     boolean b33 = dateTime31.isEqual(0L);
//     boolean b34 = dateTime26.equals((java.lang.Object)b33);
//     org.joda.time.DateTimeZone dateTimeZone35 = null;
//     org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(dateTimeZone35);
//     org.joda.time.DateTime dateTime38 = dateTime36.withMillis(1L);
//     boolean b39 = dateTime36.isEqualNow();
//     org.joda.time.Chronology chronology40 = null;
//     org.joda.time.DateTime dateTime41 = dateTime36.withChronology(chronology40);
//     org.joda.time.DateTime dateTime43 = dateTime36.minus((-1L));
//     int i44 = dateTime26.compareTo((org.joda.time.ReadableInstant)dateTime43);
//     org.joda.time.DateTimeZone dateTimeZone45 = dateTime26.getZone();
//     org.joda.time.DateTime.Property property46 = dateTime26.millisOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology47 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField48 = iSOChronology47.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField49 = iSOChronology47.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField51 = new org.joda.time.field.OffsetDateTimeField(dateTimeField49, 8);
//     long long54 = offsetDateTimeField51.add(1456070907615L, 100L);
//     java.lang.String str55 = offsetDateTimeField51.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology56 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField57 = iSOChronology56.clockhourOfDay();
//     org.joda.time.DurationField durationField58 = iSOChronology56.seconds();
//     org.joda.time.DateTimeZone dateTimeZone59 = null;
//     org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(dateTimeZone59);
//     org.joda.time.DateTime dateTime62 = dateTime60.withMillis(1L);
//     boolean b63 = dateTime60.isEqualNow();
//     int i64 = dateTime60.getHourOfDay();
//     org.joda.time.DateTime.Property property65 = dateTime60.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone66 = null;
//     org.joda.time.DateTime dateTime67 = dateTime60.toDateTime(dateTimeZone66);
//     org.joda.time.LocalDate localDate68 = dateTime67.toLocalDate();
//     int[] i_array70 = iSOChronology56.get((org.joda.time.ReadablePartial)localDate68, 100L);
//     int i71 = offsetDateTimeField51.getMinimumValue((org.joda.time.ReadablePartial)localDate68);
//     org.joda.time.DateTime dateTime72 = dateTime26.withFields((org.joda.time.ReadablePartial)localDate68);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i73 = unsupportedDateTimeField23.getMinimumValue((org.joda.time.ReadablePartial)localDate68);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long54 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str55.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b63 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime72);
// 
//   }

  @Test
  public void test415() {}
// Defects4J: flaky method
//   @Test
//   public void test415() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i26 = unsupportedDateTimeField23.getLeapAmount(1456076907615L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
// 
//   }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder3.appendHourOfHalfday(21);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeParser dateTimeParser10 = dateTimeFormatter9.getParser();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder8.append(dateTimeParser10);
    org.joda.time.format.DateTimePrinter dateTimePrinter12 = dateTimeFormatterBuilder8.toPrinter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder13.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder16.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder21 = dateTimeFormatterBuilder19.appendLiteral('a');
    boolean b22 = dateTimeFormatterBuilder19.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder23 = dateTimeFormatterBuilder19.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder26 = dateTimeFormatterBuilder19.appendFractionOfMinute(4020000, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder29 = dateTimeFormatterBuilder26.appendYearOfEra(52, 52);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder32 = dateTimeFormatterBuilder26.appendFractionOfDay(21, 52);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder33 = dateTimeFormatterBuilder26.appendMonthOfYearShortText();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter34 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
    org.joda.time.format.DateTimePrinter dateTimePrinter35 = dateTimeFormatter34.getPrinter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder36 = dateTimeFormatterBuilder33.append(dateTimePrinter35);
    org.joda.time.format.DateTimeParser[] dateTimeParser_array37 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder38 = dateTimeFormatterBuilder8.append(dateTimePrinter35, dateTimeParser_array37);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimePrinter12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimePrinter35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder36);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "75");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendWeekyear(1, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendMillisOfSecond(100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder18 = dateTimeFormatterBuilder15.appendFractionOfHour(1970, 968);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder21 = dateTimeFormatterBuilder18.appendFractionOfHour((-4020000), 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder18);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    boolean b11 = dateTime6.isAfter((-1L));
    int i12 = dateTime6.getYearOfEra();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = dateTime6.withDayOfWeek(1970);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2016);

  }

  @Test
  public void test420() {}
// Defects4J: flaky method
//   @Test
//   public void test420() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     boolean b24 = unsupportedDateTimeField23.isLenient();
//     org.joda.time.DateTimeZone dateTimeZone25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.DateTime dateTime28 = dateTime26.withMillis(1L);
//     boolean b29 = dateTime26.isEqualNow();
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = dateTime26.withChronology(chronology30);
//     org.joda.time.ReadablePeriod readablePeriod32 = null;
//     org.joda.time.DateTime dateTime34 = dateTime31.withPeriodAdded(readablePeriod32, 8);
//     org.joda.time.MutableDateTime mutableDateTime35 = dateTime34.toMutableDateTimeISO();
//     org.joda.time.DateTime dateTime37 = dateTime34.plusMillis(6);
//     org.joda.time.LocalTime localTime38 = dateTime37.toLocalTime();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i39 = unsupportedDateTimeField23.getMaximumValue((org.joda.time.ReadablePartial)localTime38);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime38);
// 
//   }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    java.util.TimeZone timeZone1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone2, 4);
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime((-3119990L), (org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone9 = iSOChronology6.getZone();
    org.joda.time.DurationField durationField10 = iSOChronology6.centuries();
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str15 = dateTimeZone13.getName(1L);
    org.joda.time.LocalDateTime localDateTime16 = null;
    boolean b17 = dateTimeZone13.isLocalDateTimeGap(localDateTime16);
    java.util.Locale locale19 = null;
    java.lang.String str20 = dateTimeZone13.getName(800L, locale19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology6, dateTimeZone13);
    org.joda.time.DateTimeZone dateTimeZone22 = zonedChronology21.getZone();
    org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str27 = dateTimeZone25.getName(1L);
    org.joda.time.LocalDateTime localDateTime28 = null;
    boolean b29 = dateTimeZone25.isLocalDateTimeGap(localDateTime28);
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone25);
    org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone25);
    org.joda.time.Chronology chronology32 = zonedChronology21.withZone(dateTimeZone25);
    org.joda.time.DurationField durationField33 = zonedChronology21.centuries();
    org.joda.time.DateTime dateTime34 = dateTime5.toDateTime((org.joda.time.Chronology)zonedChronology21);
    // The following exception was thrown during execution in test generation
    try {
      long long42 = zonedChronology21.getDateTimeMillis(68127, 1800020, 4, 52, 0, 2000, 1970);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+01:07"+ "'", str15.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+01:07"+ "'", str20.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "+01:07"+ "'", str27.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime.Property property2 = dateTime1.millisOfSecond();
    org.joda.time.DateTime dateTime4 = dateTime1.plusWeeks(0);
    org.joda.time.DateTime dateTime6 = dateTime1.minusMinutes(28);
    org.joda.time.DateTime.Property property7 = dateTime1.monthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime8 = dateTime1.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str12 = dateTimeZone11.toString();
    org.joda.time.DateTime dateTime13 = dateTime1.withZoneRetainFields(dateTimeZone11);
    int i15 = dateTimeZone11.getOffsetFromLocal(1456070907615L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology17 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone11, 615);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:07"+ "'", str12.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4020000);

  }

  @Test
  public void test424() {}
// Defects4J: flaky method
//   @Test
//   public void test424() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     boolean b24 = unsupportedDateTimeField23.isLenient();
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology25.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone28 = iSOChronology25.getZone();
//     org.joda.time.DurationField durationField29 = iSOChronology25.centuries();
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
//     java.lang.String str34 = dateTimeZone32.getName(1L);
//     org.joda.time.LocalDateTime localDateTime35 = null;
//     boolean b36 = dateTimeZone32.isLocalDateTimeGap(localDateTime35);
//     java.util.Locale locale38 = null;
//     java.lang.String str39 = dateTimeZone32.getName(800L, locale38);
//     org.joda.time.chrono.ZonedChronology zonedChronology40 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology25, dateTimeZone32);
//     org.joda.time.DateTimeZone.setDefault(dateTimeZone32);
//     org.joda.time.DateTimeZone dateTimeZone42 = null;
//     org.joda.time.DateTime dateTime43 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.DateTime dateTime45 = dateTime43.withMillis(1L);
//     org.joda.time.DateTime dateTime47 = dateTime43.withYearOfCentury(8);
//     org.joda.time.DateTime dateTime49 = dateTime43.plusMonths(0);
//     org.joda.time.ReadablePeriod readablePeriod50 = null;
//     org.joda.time.DateTime dateTime51 = dateTime43.minus(readablePeriod50);
//     org.joda.time.LocalDateTime localDateTime52 = dateTime51.toLocalDateTime();
//     boolean b53 = dateTimeZone32.isLocalDateTimeGap(localDateTime52);
//     java.util.Locale locale54 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str55 = unsupportedDateTimeField23.getAsText((org.joda.time.ReadablePartial)localDateTime52, locale54);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "+01:07"+ "'", str34.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "+01:07"+ "'", str39.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b53 == false);
// 
//   }

  @Test
  public void test425() {}
// Defects4J: flaky method
//   @Test
//   public void test425() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfDay();
//     org.joda.time.DurationField durationField11 = iSOChronology9.seconds();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     boolean b16 = dateTime13.isEqualNow();
//     int i17 = dateTime13.getHourOfDay();
//     org.joda.time.DateTime.Property property18 = dateTime13.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime13.toDateTime(dateTimeZone19);
//     org.joda.time.LocalDate localDate21 = dateTime20.toLocalDate();
//     int[] i_array23 = iSOChronology9.get((org.joda.time.ReadablePartial)localDate21, 100L);
//     int i24 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate21);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long27 = offsetDateTimeField4.set(1L, "19691231T160000.001-0800");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 8);
// 
//   }

  @Test
  public void test426() {}
// Defects4J: flaky method
//   @Test
//   public void test426() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
//     org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
//     java.lang.String str9 = dateTimeZone7.getName(1L);
//     org.joda.time.LocalDateTime localDateTime10 = null;
//     boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
//     java.util.Locale locale13 = null;
//     java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
//     org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
//     java.lang.String str16 = zonedChronology15.toString();
//     org.joda.time.DateTimeField dateTimeField17 = zonedChronology15.clockhourOfDay();
//     org.joda.time.DateTimeZone dateTimeZone18 = null;
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone18);
//     org.joda.time.DateTime dateTime21 = dateTime19.withMillis(1L);
//     boolean b22 = dateTime19.isEqualNow();
//     int i23 = dateTime19.getHourOfDay();
//     org.joda.time.DateTime.Property property24 = dateTime19.dayOfMonth();
//     boolean b25 = zonedChronology15.equals((java.lang.Object)property24);
//     org.joda.time.DateTimeField dateTimeField26 = zonedChronology15.yearOfCentury();
//     org.joda.time.ReadablePeriod readablePeriod27 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array30 = zonedChronology15.get(readablePeriod27, 10L, 100L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:07]"+ "'", str16.equals("ZonedChronology[ISOChronology[UTC], +01:07]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b25 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
// 
//   }

  @Test
  public void test427() {}
// Defects4J: flaky method
//   @Test
//   public void test427() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DurationField durationField25 = unsupportedDateTimeField23.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i27 = unsupportedDateTimeField23.getMinimumValue(100L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
// 
//   }

  @Test
  public void test428() {}
// Defects4J: flaky method
//   @Test
//   public void test428() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DurationField durationField25 = unsupportedDateTimeField23.getDurationField();
//     boolean b26 = unsupportedDateTimeField23.isLenient();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long29 = unsupportedDateTimeField23.getDifferenceAsLong(2L, (-24267848L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
// 
//   }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    org.joda.time.DateTime dateTime11 = dateTime9.plusYears(7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime9.withEra(80);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-15));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.joda.time.ReadableInterval readableInterval0 = null;
    org.joda.time.ReadableInterval readableInterval1 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getIntervalChronology(readableInterval0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);

  }

  @Test
  public void test432() {}
// Defects4J: flaky method
//   @Test
//   public void test432() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekOfWeekyear();
//     org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField4 = iSOChronology3.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology3.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField7 = new org.joda.time.field.OffsetDateTimeField(dateTimeField5, 8);
//     int i9 = offsetDateTimeField7.get(10L);
//     java.util.Locale locale11 = null;
//     java.lang.String str12 = offsetDateTimeField7.getAsText(0L, locale11);
//     long long15 = offsetDateTimeField7.set(300000L, 100);
//     int i17 = offsetDateTimeField7.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = offsetDateTimeField7.getType();
//     org.joda.time.DurationFieldType durationFieldType19 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField20 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType19);
//     boolean b22 = unsupportedDurationField20.equals((java.lang.Object)80000);
//     java.lang.Object obj23 = null;
//     boolean b24 = unsupportedDurationField20.equals(obj23);
//     boolean b25 = unsupportedDurationField20.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField26 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType18, (org.joda.time.DurationField)unsupportedDurationField20);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = unsupportedDateTimeField26.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.OffsetDateTimeField offsetDateTimeField29 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, dateTimeFieldType27, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "75"+ "'", str12.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b25 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
// 
//   }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    int i1 = dateTimeFormatter0.getDefaultYear();
    java.io.Writer writer2 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
    org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
    boolean b7 = dateTime4.isEqualNow();
    org.joda.time.Chronology chronology8 = null;
    org.joda.time.DateTime dateTime9 = dateTime4.withChronology(chronology8);
    org.joda.time.DateTime dateTime11 = dateTime4.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
    org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
    boolean b16 = dateTime13.isEqualNow();
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime13.withChronology(chronology17);
    org.joda.time.ReadablePeriod readablePeriod19 = null;
    org.joda.time.DateTime dateTime21 = dateTime18.withPeriodAdded(readablePeriod19, 8);
    org.joda.time.DateTime dateTime23 = dateTime21.plusYears(7);
    org.joda.time.ReadableDuration readableDuration24 = null;
    org.joda.time.DateTime dateTime26 = dateTime23.withDurationAdded(readableDuration24, 7);
    int i27 = dateTime4.compareTo((org.joda.time.ReadableInstant)dateTime26);
    org.joda.time.MutableDateTime mutableDateTime28 = dateTime26.toMutableDateTime();
    java.util.GregorianCalendar gregorianCalendar29 = dateTime26.toGregorianCalendar();
    org.joda.time.DateTime dateTime31 = dateTime26.withYear(0);
    org.joda.time.DateTime dateTime33 = dateTime31.withWeekOfWeekyear(19);
    org.joda.time.DateTime dateTime35 = dateTime33.plusDays((-28800000));
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer2, (org.joda.time.ReadableInstant)dateTime35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(85);
    java.lang.String str3 = dateTimeZone1.getName(1456070880000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00:00.085"+ "'", str3.equals("+00:00:00.085"));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forOffsetMillis(21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(908, 85, 908, 4020000, 19, dateTimeZone6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);

  }

  @Test
  public void test436() {}
// Defects4J: flaky method
//   @Test
//   public void test436() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DurationField durationField25 = unsupportedDateTimeField23.getDurationField();
//     boolean b26 = unsupportedDateTimeField23.isLenient();
//     java.util.Locale locale28 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str29 = unsupportedDateTimeField23.getAsText((-1L), locale28);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
// 
//   }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }
// 
// 
//     org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
//     org.joda.time.format.DateTimeParser dateTimeParser1 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser1);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withOffsetParsed();
//     org.joda.time.format.DateTimeParser dateTimeParser4 = dateTimeFormatter3.getParser();
//     java.lang.Appendable appendable5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.DateTime dateTime9 = dateTime7.withMillis(1L);
//     boolean b10 = dateTime7.isEqualNow();
//     int i11 = dateTime7.getHourOfDay();
//     org.joda.time.DateTime.Property property12 = dateTime7.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime7.toDateTime(dateTimeZone13);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter3.printTo(appendable5, (org.joda.time.ReadableInstant)dateTime7);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(dateTimeParser4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
// 
//   }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1456012860000L, (-4799999999L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1460812859999L);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() {}
// Defects4J: flaky method
//   @Test
//   public void test440() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     int i8 = offsetDateTimeField4.getLeapAmount((-3119990L));
//     boolean b10 = offsetDateTimeField4.isLeap(1456012800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
// 
//   }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("75");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime8 = dateTime1.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str12 = dateTimeZone11.toString();
    org.joda.time.DateTime dateTime13 = dateTime1.withZoneRetainFields(dateTimeZone11);
    org.joda.time.DateTimeZone dateTimeZone14 = null;
    org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone14);
    org.joda.time.DateTime dateTime17 = dateTime15.withMillis(1L);
    org.joda.time.DateTime dateTime19 = dateTime15.withYearOfCentury(8);
    org.joda.time.DateTime dateTime22 = dateTime15.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str26 = dateTimeZone25.toString();
    org.joda.time.DateTime dateTime27 = dateTime15.withZoneRetainFields(dateTimeZone25);
    int i29 = dateTimeZone25.getOffsetFromLocal(1456070907615L);
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone25);
    org.joda.time.DateTime dateTime31 = dateTime13.toDateTime((org.joda.time.Chronology)gregorianChronology30);
    // The following exception was thrown during execution in test generation
    try {
      long long39 = gregorianChronology30.getDateTimeMillis(18, 0, 68127615, 968, 8, 0, 968);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:07"+ "'", str12.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+01:07"+ "'", str26.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicOrdinalDate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(2000, 10, 615, 15, 20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() {}
// Defects4J: flaky method
//   @Test
//   public void test445() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfDay();
//     org.joda.time.DurationField durationField3 = iSOChronology1.seconds();
//     org.joda.time.DateTimeZone dateTimeZone4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone4);
//     org.joda.time.DateTime dateTime7 = dateTime5.withMillis(1L);
//     boolean b8 = dateTime5.isEqualNow();
//     int i9 = dateTime5.getHourOfDay();
//     org.joda.time.DateTime.Property property10 = dateTime5.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone11 = null;
//     org.joda.time.DateTime dateTime12 = dateTime5.toDateTime(dateTimeZone11);
//     org.joda.time.LocalDate localDate13 = dateTime12.toLocalDate();
//     int[] i_array15 = iSOChronology1.get((org.joda.time.ReadablePartial)localDate13, 100L);
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology1.centuryOfEra();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.millisOfDay();
//     org.joda.time.DateTime dateTime18 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
//     long long19 = org.joda.time.DateTimeUtils.getInstantMillis((org.joda.time.ReadableInstant)dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b8 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long19 == 0L);
// 
//   }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone.setDefault(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("minuteOfDay", 4000);
    org.joda.time.DateTimeZone dateTimeZone6 = dateTimeZoneBuilder0.toDateTimeZone("", false);
    java.util.TimeZone timeZone7 = dateTimeZone6.toTimeZone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, 4000, (-4020000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() {}
// Defects4J: flaky method
//   @Test
//   public void test449() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = unsupportedDateTimeField23.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i26 = unsupportedDateTimeField23.getMinimumValue(57600001L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
// 
//   }

  @Test
  public void test450() {}
// Defects4J: flaky method
//   @Test
//   public void test450() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }
// 
// 
//     org.joda.time.DateTimeField dateTimeField0 = null;
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder1 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder1.appendYear(0, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder4.appendFractionOfSecond(100, 0);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder7.appendLiteral('a');
//     boolean b10 = dateTimeFormatterBuilder7.canBuildFormatter();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder7.appendTimeZoneShortName();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder7.appendWeekyear(1, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder7.appendMillisOfSecond(100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder16.appendFractionOfHour(1970, 968);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter20 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
//     org.joda.time.format.DateTimePrinter dateTimePrinter21 = dateTimeFormatter20.getPrinter();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder22 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder25 = dateTimeFormatterBuilder22.appendYear(0, 100);
//     org.joda.time.format.DateTimeParser dateTimeParser26 = dateTimeFormatterBuilder22.toParser();
//     org.joda.time.format.DateTimeParser[] dateTimeParser_array27 = new org.joda.time.format.DateTimeParser[] { dateTimeParser26 };
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder28 = dateTimeFormatterBuilder16.append(dateTimePrinter21, dateTimeParser_array27);
//     org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField31 = iSOChronology29.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField33 = new org.joda.time.field.OffsetDateTimeField(dateTimeField31, 8);
//     int i35 = offsetDateTimeField33.get(10L);
//     java.util.Locale locale37 = null;
//     java.lang.String str38 = offsetDateTimeField33.getAsText(0L, locale37);
//     long long41 = offsetDateTimeField33.set(300000L, 100);
//     int i43 = offsetDateTimeField33.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType44 = offsetDateTimeField33.getType();
//     org.joda.time.DurationFieldType durationFieldType45 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField46 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType45);
//     boolean b48 = unsupportedDurationField46.equals((java.lang.Object)80000);
//     java.lang.Object obj49 = null;
//     boolean b50 = unsupportedDurationField46.equals(obj49);
//     boolean b51 = unsupportedDurationField46.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField52 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType44, (org.joda.time.DurationField)unsupportedDurationField46);
//     org.joda.time.DateTimeFieldType dateTimeFieldType53 = unsupportedDateTimeField52.getType();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder56 = dateTimeFormatterBuilder16.appendSignedDecimal(dateTimeFieldType53, 1, 23);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.DividedDateTimeField dividedDateTimeField58 = new org.joda.time.field.DividedDateTimeField(dateTimeField0, dateTimeFieldType53, 99);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimePrinter21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str38 + "' != '" + "75"+ "'", str38.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long41 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b48 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b50 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b51 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder56);
// 
//   }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
    boolean b4 = iSOChronology0.equals((java.lang.Object)"Pacific Standard Time");
    org.joda.time.DurationField durationField5 = iSOChronology0.weeks();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, (-4799999999L), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() {}
// Defects4J: flaky method
//   @Test
//   public void test453() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology25.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField29 = new org.joda.time.field.OffsetDateTimeField(dateTimeField27, 8);
//     int i31 = offsetDateTimeField29.get(10L);
//     java.util.Locale locale33 = null;
//     java.lang.String str34 = offsetDateTimeField29.getAsShortText(100L, locale33);
//     long long36 = offsetDateTimeField29.roundHalfEven((-3119990L));
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField39 = iSOChronology37.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField41 = new org.joda.time.field.OffsetDateTimeField(dateTimeField39, 8);
//     int i43 = offsetDateTimeField41.get(10L);
//     java.util.Locale locale45 = null;
//     java.lang.String str46 = offsetDateTimeField41.getAsShortText(100L, locale45);
//     org.joda.time.chrono.ISOChronology iSOChronology47 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField48 = iSOChronology47.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField49 = iSOChronology47.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField51 = new org.joda.time.field.OffsetDateTimeField(dateTimeField49, 8);
//     long long54 = offsetDateTimeField51.add(1456070907615L, 100L);
//     java.lang.String str55 = offsetDateTimeField51.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology56 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField57 = iSOChronology56.clockhourOfDay();
//     org.joda.time.DurationField durationField58 = iSOChronology56.seconds();
//     org.joda.time.DateTimeZone dateTimeZone59 = null;
//     org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(dateTimeZone59);
//     org.joda.time.DateTime dateTime62 = dateTime60.withMillis(1L);
//     boolean b63 = dateTime60.isEqualNow();
//     int i64 = dateTime60.getHourOfDay();
//     org.joda.time.DateTime.Property property65 = dateTime60.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone66 = null;
//     org.joda.time.DateTime dateTime67 = dateTime60.toDateTime(dateTimeZone66);
//     org.joda.time.LocalDate localDate68 = dateTime67.toLocalDate();
//     int[] i_array70 = iSOChronology56.get((org.joda.time.ReadablePartial)localDate68, 100L);
//     int i71 = offsetDateTimeField51.getMinimumValue((org.joda.time.ReadablePartial)localDate68);
//     org.joda.time.chrono.ISOChronology iSOChronology72 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField73 = iSOChronology72.clockhourOfDay();
//     org.joda.time.DurationField durationField74 = iSOChronology72.seconds();
//     org.joda.time.DateTimeZone dateTimeZone75 = null;
//     org.joda.time.DateTime dateTime76 = new org.joda.time.DateTime(dateTimeZone75);
//     org.joda.time.DateTime dateTime78 = dateTime76.withMillis(1L);
//     boolean b79 = dateTime76.isEqualNow();
//     int i80 = dateTime76.getHourOfDay();
//     org.joda.time.DateTime.Property property81 = dateTime76.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone82 = null;
//     org.joda.time.DateTime dateTime83 = dateTime76.toDateTime(dateTimeZone82);
//     org.joda.time.LocalDate localDate84 = dateTime83.toLocalDate();
//     int[] i_array86 = iSOChronology72.get((org.joda.time.ReadablePartial)localDate84, 100L);
//     int i87 = offsetDateTimeField41.getMaximumValue((org.joda.time.ReadablePartial)localDate68, i_array86);
//     int[] i_array89 = new int[] { (-1) };
//     int i90 = offsetDateTimeField29.getMaximumValue((org.joda.time.ReadablePartial)localDate68, i_array89);
//     int[] i_array92 = new int[] { 100 };
//     // The following exception was thrown during execution in test generation
//     try {
//       int i93 = unsupportedDateTimeField23.getMinimumValue((org.joda.time.ReadablePartial)localDate68, i_array92);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "75"+ "'", str34.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long36 == (-3120000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str46 + "' != '" + "75"+ "'", str46.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long54 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str55.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b63 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b79 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i80 == 18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i87 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i90 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array92);
// 
//   }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime1.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone9);
    org.joda.time.DateTime dateTime12 = dateTime10.withMillis(1L);
    boolean b13 = dateTime10.isEqualNow();
    org.joda.time.Chronology chronology14 = null;
    org.joda.time.DateTime dateTime15 = dateTime10.withChronology(chronology14);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    org.joda.time.DateTime dateTime18 = dateTime15.withPeriodAdded(readablePeriod16, 8);
    org.joda.time.DateTime dateTime20 = dateTime18.plusYears(7);
    org.joda.time.ReadableDuration readableDuration21 = null;
    org.joda.time.DateTime dateTime23 = dateTime20.withDurationAdded(readableDuration21, 7);
    int i24 = dateTime1.compareTo((org.joda.time.ReadableInstant)dateTime23);
    org.joda.time.MutableDateTime mutableDateTime25 = dateTime23.toMutableDateTime();
    java.util.GregorianCalendar gregorianCalendar26 = dateTime23.toGregorianCalendar();
    boolean b28 = dateTime23.isAfter(462169680010L);
    boolean b30 = dateTime23.isAfter(990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);

  }

  @Test
  public void test455() {}
// Defects4J: flaky method
//   @Test
//   public void test455() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.getName();
//     long long10 = offsetDateTimeField4.roundHalfFloor((-1L));
//     long long13 = offsetDateTimeField4.add(99L, 968);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder17 = dateTimeFormatterBuilder14.appendYear(0, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder20 = dateTimeFormatterBuilder17.appendFractionOfSecond(100, 0);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder22 = dateTimeFormatterBuilder20.appendLiteral('a');
//     boolean b23 = dateTimeFormatterBuilder20.canBuildFormatter();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder24 = dateTimeFormatterBuilder20.appendTimeZoneShortName();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder27 = dateTimeFormatterBuilder20.appendWeekyear(1, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder29 = dateTimeFormatterBuilder20.appendMillisOfSecond(100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder32 = dateTimeFormatterBuilder29.appendFractionOfHour(1970, 968);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter33 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
//     org.joda.time.format.DateTimePrinter dateTimePrinter34 = dateTimeFormatter33.getPrinter();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder35 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder38 = dateTimeFormatterBuilder35.appendYear(0, 100);
//     org.joda.time.format.DateTimeParser dateTimeParser39 = dateTimeFormatterBuilder35.toParser();
//     org.joda.time.format.DateTimeParser[] dateTimeParser_array40 = new org.joda.time.format.DateTimeParser[] { dateTimeParser39 };
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder41 = dateTimeFormatterBuilder29.append(dateTimePrinter34, dateTimeParser_array40);
//     org.joda.time.chrono.ISOChronology iSOChronology42 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField43 = iSOChronology42.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField44 = iSOChronology42.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField46 = new org.joda.time.field.OffsetDateTimeField(dateTimeField44, 8);
//     int i48 = offsetDateTimeField46.get(10L);
//     java.util.Locale locale50 = null;
//     java.lang.String str51 = offsetDateTimeField46.getAsText(0L, locale50);
//     long long54 = offsetDateTimeField46.set(300000L, 100);
//     int i56 = offsetDateTimeField46.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType57 = offsetDateTimeField46.getType();
//     org.joda.time.DurationFieldType durationFieldType58 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField59 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType58);
//     boolean b61 = unsupportedDurationField59.equals((java.lang.Object)80000);
//     java.lang.Object obj62 = null;
//     boolean b63 = unsupportedDurationField59.equals(obj62);
//     boolean b64 = unsupportedDurationField59.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField65 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType57, (org.joda.time.DurationField)unsupportedDurationField59);
//     org.joda.time.DateTimeFieldType dateTimeFieldType66 = unsupportedDateTimeField65.getType();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder69 = dateTimeFormatterBuilder29.appendSignedDecimal(dateTimeFieldType66, 1, 23);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException73 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType66, (java.lang.Number)100, (java.lang.Number)1800020, (java.lang.Number)4800000800L);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.OffsetDateTimeField offsetDateTimeField77 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField4, dateTimeFieldType66, 0, 0, 968);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 58080099L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimePrinter34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "75"+ "'", str51.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long54 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b61 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b63 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b64 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder69);
// 
//   }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(462169680010L);

  }

  @Test
  public void test457() {}
// Defects4J: flaky method
//   @Test
//   public void test457() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.clockhourOfDay();
//     org.joda.time.DurationField durationField7 = iSOChronology5.seconds();
//     org.joda.time.DateTimeZone dateTimeZone8 = null;
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.DateTime dateTime11 = dateTime9.withMillis(1L);
//     boolean b12 = dateTime9.isEqualNow();
//     int i13 = dateTime9.getHourOfDay();
//     org.joda.time.DateTime.Property property14 = dateTime9.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime9.toDateTime(dateTimeZone15);
//     org.joda.time.LocalDate localDate17 = dateTime16.toLocalDate();
//     int[] i_array19 = iSOChronology5.get((org.joda.time.ReadablePartial)localDate17, 100L);
//     org.joda.time.DateTimeZone dateTimeZone20 = iSOChronology5.getZone();
//     org.joda.time.DateTimeField dateTimeField21 = iSOChronology5.minuteOfDay();
//     org.joda.time.DurationField durationField22 = iSOChronology5.months();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(55, 1135, 968, 0, 2001, (org.joda.time.Chronology)iSOChronology5);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField22);
// 
//   }

  @Test
  public void test458() {}
// Defects4J: flaky method
//   @Test
//   public void test458() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
//     int i6 = dateTime5.getSecondOfMinute();
//     int i7 = dateTime5.getDayOfMonth();
//     int i8 = dateTime5.getDayOfMonth();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 24);
// 
//   }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    boolean b3 = unsupportedDurationField1.equals((java.lang.Object)80000);
    java.lang.Object obj4 = null;
    boolean b5 = unsupportedDurationField1.equals(obj4);
    org.joda.time.DurationFieldType durationFieldType6 = unsupportedDurationField1.getType();
    org.joda.time.DurationFieldType durationFieldType7 = unsupportedDurationField1.getType();
    org.joda.time.DurationFieldType durationFieldType8 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long11 = unsupportedDurationField1.add(220921680010L, (-4798500800L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
    boolean b9 = dateTimeFormatterBuilder6.canBuildFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendTimeZoneShortName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendWeekyear(1, 100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendMillisOfSecond(100);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder18 = dateTimeFormatterBuilder6.appendFractionOfMinute(0, 4000);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder18.appendDayOfWeekShortText();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);

  }

  @Test
  public void test461() {}
// Defects4J: flaky method
//   @Test
//   public void test461() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     boolean b24 = unsupportedDateTimeField23.isLenient();
//     java.util.Locale locale26 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str27 = unsupportedDateTimeField23.getAsShortText((-61847129492385L), locale26);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
// 
//   }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime8 = dateTime1.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str12 = dateTimeZone11.toString();
    org.joda.time.DateTime dateTime13 = dateTime1.withZoneRetainFields(dateTimeZone11);
    int i15 = dateTimeZone11.getOffsetFromLocal(1456070907615L);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone11);
    java.lang.String str17 = gregorianChronology16.toString();
    org.joda.time.Chronology chronology18 = gregorianChronology16.withUTC();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:07"+ "'", str12.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "GregorianChronology[+01:07]"+ "'", str17.equals("GregorianChronology[+01:07]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology18);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    int i4 = dateTime1.getWeekOfWeekyear();
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone5);
    boolean b8 = dateTime6.isEqual(0L);
    boolean b9 = dateTime1.equals((java.lang.Object)b8);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone10);
    org.joda.time.DateTime dateTime13 = dateTime11.withMillis(1L);
    boolean b14 = dateTime11.isEqualNow();
    org.joda.time.Chronology chronology15 = null;
    org.joda.time.DateTime dateTime16 = dateTime11.withChronology(chronology15);
    org.joda.time.DateTime dateTime18 = dateTime11.minus((-1L));
    int i19 = dateTime1.compareTo((org.joda.time.ReadableInstant)dateTime18);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime21 = dateTime18.withMonthOfYear(437);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));

  }

  @Test
  public void test464() {}
// Defects4J: flaky method
//   @Test
//   public void test464() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
//     boolean b4 = dateTime1.isEqualNow();
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
//     org.joda.time.ReadablePeriod readablePeriod7 = null;
//     org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
//     org.joda.time.DateTime dateTime11 = dateTime9.plusYears(7);
//     org.joda.time.ReadableDuration readableDuration12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime11.withDurationAdded(readableDuration12, 7);
//     org.joda.time.DateTime.Property property15 = dateTime11.yearOfCentury();
//     org.joda.time.DateTime.Property property16 = dateTime11.millisOfDay();
//     boolean b18 = dateTime11.isAfter(0L);
//     org.joda.time.YearMonthDay yearMonthDay19 = dateTime11.toYearMonthDay();
//     org.joda.time.chrono.ISOChronology iSOChronology20 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField21 = iSOChronology20.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField22 = iSOChronology20.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField24 = new org.joda.time.field.OffsetDateTimeField(dateTimeField22, 8);
//     int i26 = offsetDateTimeField24.get(10L);
//     java.util.Locale locale28 = null;
//     java.lang.String str29 = offsetDateTimeField24.getAsText(0L, locale28);
//     long long32 = offsetDateTimeField24.set(300000L, 100);
//     int i34 = offsetDateTimeField24.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = offsetDateTimeField24.getType();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime37 = dateTime11.withField(dateTimeFieldType35, 900010);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(yearMonthDay19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "75"+ "'", str29.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long32 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
// 
//   }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime6 = dateTime1.toDateTimeISO();
    org.joda.time.Instant instant7 = dateTime6.toInstant();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant7);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinute();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTimeFormatter0.getZone();
    java.lang.StringBuffer stringBuffer2 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
    org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
    boolean b7 = dateTime4.isEqualNow();
    org.joda.time.Chronology chronology8 = null;
    org.joda.time.DateTime dateTime9 = dateTime4.withChronology(chronology8);
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime12 = dateTime9.withPeriodAdded(readablePeriod10, 8);
    org.joda.time.MutableDateTime mutableDateTime13 = dateTime12.toMutableDateTimeISO();
    org.joda.time.DateTime dateTime15 = dateTime12.plusMillis(6);
    org.joda.time.LocalTime localTime16 = dateTime15.toLocalTime();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer2, (org.joda.time.ReadablePartial)localTime16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localTime16);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(2L, 990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1980L);

  }

  @Test
  public void test468() {}
// Defects4J: flaky method
//   @Test
//   public void test468() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.getName();
//     java.util.Locale locale9 = null;
//     int i10 = offsetDateTimeField4.getMaximumTextLength(locale9);
//     int i11 = offsetDateTimeField4.getMaximumValue();
//     org.joda.time.DateTimeZone dateTimeZone12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.DateTime dateTime15 = dateTime13.withMillis(1L);
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime.Property property17 = dateTime15.hourOfDay();
//     org.joda.time.DateTime dateTime19 = dateTime15.withMillis((-1L));
//     org.joda.time.DateTimeZone dateTimeZone20 = null;
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.DateTime dateTime23 = dateTime21.withMillis(1L);
//     boolean b24 = dateTime21.isEqualNow();
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime21.withChronology(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime21.minus((-1L));
//     org.joda.time.DateTimeZone dateTimeZone29 = null;
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone29);
//     org.joda.time.DateTime dateTime32 = dateTime30.withMillis(1L);
//     boolean b33 = dateTime30.isEqualNow();
//     org.joda.time.Chronology chronology34 = null;
//     org.joda.time.DateTime dateTime35 = dateTime30.withChronology(chronology34);
//     org.joda.time.ReadablePeriod readablePeriod36 = null;
//     org.joda.time.DateTime dateTime38 = dateTime35.withPeriodAdded(readablePeriod36, 8);
//     org.joda.time.DateTime dateTime40 = dateTime38.plusYears(7);
//     org.joda.time.ReadableDuration readableDuration41 = null;
//     org.joda.time.DateTime dateTime43 = dateTime40.withDurationAdded(readableDuration41, 7);
//     int i44 = dateTime21.compareTo((org.joda.time.ReadableInstant)dateTime43);
//     org.joda.time.MutableDateTime mutableDateTime45 = dateTime43.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone46 = null;
//     org.joda.time.DateTime dateTime47 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.DateTime dateTime49 = dateTime47.withMillis(1L);
//     org.joda.time.DateTime dateTime51 = dateTime47.withYearOfCentury(8);
//     org.joda.time.DateTime dateTime54 = dateTime47.withDurationAdded(1456070907615L, 100);
//     org.joda.time.DateTimeZone dateTimeZone57 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
//     java.lang.String str58 = dateTimeZone57.toString();
//     org.joda.time.DateTime dateTime59 = dateTime47.withZoneRetainFields(dateTimeZone57);
//     int i61 = dateTimeZone57.getOffsetFromLocal(1456070907615L);
//     org.joda.time.DateTime dateTime62 = dateTime43.toDateTime(dateTimeZone57);
//     org.joda.time.DateTime dateTime63 = dateTime19.withZoneRetainFields(dateTimeZone57);
//     org.joda.time.LocalTime localTime64 = dateTime63.toLocalTime();
//     org.joda.time.chrono.ISOChronology iSOChronology66 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeZone dateTimeZone67 = null;
//     org.joda.time.DateTime dateTime68 = new org.joda.time.DateTime(dateTimeZone67);
//     org.joda.time.DateTime dateTime70 = dateTime68.withMillis(1L);
//     boolean b71 = dateTime68.isEqualNow();
//     int i72 = dateTime68.getHourOfDay();
//     org.joda.time.DateTime.Property property73 = dateTime68.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone74 = null;
//     org.joda.time.DateTime dateTime75 = dateTime68.toDateTime(dateTimeZone74);
//     org.joda.time.LocalDate localDate76 = dateTime75.toLocalDate();
//     int[] i_array78 = iSOChronology66.get((org.joda.time.ReadablePartial)localDate76, 0L);
//     java.util.Locale locale80 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array81 = offsetDateTimeField4.set((org.joda.time.ReadablePartial)localTime64, 0, i_array78, "2016-02-21T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000", locale80);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 1447);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+01:07"+ "'", str58.equals("+01:07"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i61 == 4020000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b71 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i72 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array78);
// 
//   }

  @Test
  public void test469() {}
// Defects4J: flaky method
//   @Test
//   public void test469() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long27 = unsupportedDateTimeField23.addWrapField(1980L, 70);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
// 
//   }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DurationField durationField3 = iSOChronology0.minutes();
    org.joda.time.DurationField durationField4 = iSOChronology0.seconds();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.Chronology chronology10 = iSOChronology0.withZone(dateTimeZone7);
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology0.weekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);

  }

  @Test
  public void test471() {}
// Defects4J: flaky method
//   @Test
//   public void test471() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long26 = unsupportedDateTimeField23.roundHalfCeiling((-3119990L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
// 
//   }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("1977-01-01T00:15:00.010+01:07", 68127, 18, 6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 4020010);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() {}
// Defects4J: flaky method
//   @Test
//   public void test474() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
//     boolean b7 = dateTime4.isEqualNow();
//     int i8 = dateTime4.getHourOfDay();
//     org.joda.time.DateTime.Property property9 = dateTime4.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime4.toDateTime(dateTimeZone10);
//     org.joda.time.LocalDate localDate12 = dateTime11.toLocalDate();
//     int[] i_array14 = iSOChronology0.get((org.joda.time.ReadablePartial)localDate12, 100L);
//     org.joda.time.DateTimeField dateTimeField15 = iSOChronology0.centuryOfEra();
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology0.millisOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 8);
//     int i23 = offsetDateTimeField21.get(10L);
//     java.util.Locale locale25 = null;
//     java.lang.String str26 = offsetDateTimeField21.getAsText(0L, locale25);
//     long long29 = offsetDateTimeField21.set(300000L, 100);
//     int i31 = offsetDateTimeField21.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = offsetDateTimeField21.getType();
//     org.joda.time.DurationFieldType durationFieldType33 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField34 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType33);
//     boolean b36 = unsupportedDurationField34.equals((java.lang.Object)80000);
//     java.lang.Object obj37 = null;
//     boolean b38 = unsupportedDurationField34.equals(obj37);
//     boolean b39 = unsupportedDurationField34.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField40 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType32, (org.joda.time.DurationField)unsupportedDurationField34);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField42 = new org.joda.time.field.RemainderDateTimeField(dateTimeField16, dateTimeFieldType32, 4020000);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long45 = remainderDateTimeField42.set(0L, (-28800000));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "75"+ "'", str26.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b38 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField40);
// 
//   }

  @Test
  public void test475() {}
// Defects4J: flaky method
//   @Test
//   public void test475() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DurationField durationField25 = unsupportedDateTimeField23.getDurationField();
//     java.util.Locale locale27 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str28 = unsupportedDateTimeField23.getAsShortText(437, locale27);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
// 
//   }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecond();
    org.joda.time.format.DateTimeParser dateTimeParser1 = dateTimeFormatter0.getParser();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate3 = dateTimeFormatter0.parseLocalDate("1970-01-01T\uFFFD\uFFFD:\uFFFD\uFFFD:\uFFFD\uFFFD.000");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser1);

  }

  @Test
  public void test477() {}
// Defects4J: flaky method
//   @Test
//   public void test477() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }
// 
// 
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendYear(0, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(100, 0);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendLiteral('a');
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder6.appendMonthOfYearShortText();
//     org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField11 = iSOChronology10.clockhourOfDay();
//     org.joda.time.DurationField durationField12 = iSOChronology10.seconds();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology10.clockhourOfDay();
//     java.lang.String str14 = iSOChronology10.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime((java.lang.Object)dateTimeFormatterBuilder6, (org.joda.time.Chronology)iSOChronology10);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "ISOChronology[+01:07]"+ "'", str14.equals("ISOChronology[+01:07]"));
// 
//   }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondMillis();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.DateTime dateTime5 = dateTime3.withMillis(1L);
    boolean b6 = dateTime3.isEqualNow();
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = dateTime3.withChronology(chronology7);
    org.joda.time.DateTime dateTime10 = dateTime3.minus((-1L));
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone11);
    org.joda.time.DateTime dateTime14 = dateTime12.withMillis(1L);
    boolean b15 = dateTime12.isEqualNow();
    org.joda.time.Chronology chronology16 = null;
    org.joda.time.DateTime dateTime17 = dateTime12.withChronology(chronology16);
    org.joda.time.ReadablePeriod readablePeriod18 = null;
    org.joda.time.DateTime dateTime20 = dateTime17.withPeriodAdded(readablePeriod18, 8);
    org.joda.time.DateTime dateTime22 = dateTime20.plusYears(7);
    org.joda.time.ReadableDuration readableDuration23 = null;
    org.joda.time.DateTime dateTime25 = dateTime22.withDurationAdded(readableDuration23, 7);
    int i26 = dateTime3.compareTo((org.joda.time.ReadableInstant)dateTime25);
    org.joda.time.MutableDateTime mutableDateTime27 = dateTime25.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone28 = null;
    org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone28);
    org.joda.time.DateTime dateTime31 = dateTime29.withMillis(1L);
    org.joda.time.DateTime dateTime33 = dateTime29.withYearOfCentury(8);
    org.joda.time.DateTime dateTime36 = dateTime29.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str40 = dateTimeZone39.toString();
    org.joda.time.DateTime dateTime41 = dateTime29.withZoneRetainFields(dateTimeZone39);
    int i43 = dateTimeZone39.getOffsetFromLocal(1456070907615L);
    org.joda.time.DateTime dateTime44 = dateTime25.toDateTime(dateTimeZone39);
    org.joda.time.DateTime dateTime45 = dateTime25.toDateTimeISO();
    org.joda.time.DateTime dateTime46 = dateTime45.toDateTimeISO();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadableInstant)dateTime45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "+01:07"+ "'", str40.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 4020000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime46);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(0L);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    java.util.TimeZone timeZone1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone2, 4);
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime((-3119990L), (org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone9 = iSOChronology6.getZone();
    org.joda.time.DurationField durationField10 = iSOChronology6.centuries();
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str15 = dateTimeZone13.getName(1L);
    org.joda.time.LocalDateTime localDateTime16 = null;
    boolean b17 = dateTimeZone13.isLocalDateTimeGap(localDateTime16);
    java.util.Locale locale19 = null;
    java.lang.String str20 = dateTimeZone13.getName(800L, locale19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology6, dateTimeZone13);
    org.joda.time.DateTimeZone dateTimeZone22 = zonedChronology21.getZone();
    org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str27 = dateTimeZone25.getName(1L);
    org.joda.time.LocalDateTime localDateTime28 = null;
    boolean b29 = dateTimeZone25.isLocalDateTimeGap(localDateTime28);
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone25);
    org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone25);
    org.joda.time.Chronology chronology32 = zonedChronology21.withZone(dateTimeZone25);
    org.joda.time.DurationField durationField33 = zonedChronology21.centuries();
    org.joda.time.DateTime dateTime34 = dateTime5.toDateTime((org.joda.time.Chronology)zonedChronology21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime36 = dateTime34.withWeekOfWeekyear((-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+01:07"+ "'", str15.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+01:07"+ "'", str20.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "+01:07"+ "'", str27.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(968, 68127615, 4020000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    boolean b4 = dateTime1.isEqualNow();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime1.withChronology(chronology5);
    org.joda.time.ReadablePeriod readablePeriod7 = null;
    org.joda.time.DateTime dateTime9 = dateTime6.withPeriodAdded(readablePeriod7, 8);
    org.joda.time.DateTime dateTime11 = dateTime9.minusWeeks(10);
    org.joda.time.DateTime dateTime13 = dateTime11.minusSeconds(75);
    org.joda.time.Chronology chronology14 = dateTime13.getChronology();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.joda.time.DateTimeZone dateTimeZone0 = org.joda.time.DateTimeZone.UTC;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone0);

  }

  @Test
  public void test484() {}
// Defects4J: flaky method
//   @Test
//   public void test484() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.DateTime dateTime6 = dateTime4.withMillis(1L);
//     boolean b7 = dateTime4.isEqualNow();
//     int i8 = dateTime4.getHourOfDay();
//     org.joda.time.DateTime.Property property9 = dateTime4.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime4.toDateTime(dateTimeZone10);
//     org.joda.time.LocalDate localDate12 = dateTime11.toLocalDate();
//     int[] i_array14 = iSOChronology0.get((org.joda.time.ReadablePartial)localDate12, 100L);
//     org.joda.time.DateTimeField dateTimeField15 = iSOChronology0.centuryOfEra();
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology0.millisOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 8);
//     int i23 = offsetDateTimeField21.get(10L);
//     java.util.Locale locale25 = null;
//     java.lang.String str26 = offsetDateTimeField21.getAsText(0L, locale25);
//     long long29 = offsetDateTimeField21.set(300000L, 100);
//     int i31 = offsetDateTimeField21.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = offsetDateTimeField21.getType();
//     org.joda.time.DurationFieldType durationFieldType33 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField34 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType33);
//     boolean b36 = unsupportedDurationField34.equals((java.lang.Object)80000);
//     java.lang.Object obj37 = null;
//     boolean b38 = unsupportedDurationField34.equals(obj37);
//     boolean b39 = unsupportedDurationField34.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField40 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType32, (org.joda.time.DurationField)unsupportedDurationField34);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField42 = new org.joda.time.field.RemainderDateTimeField(dateTimeField16, dateTimeFieldType32, 4020000);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType32, 908, 6, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "75"+ "'", str26.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b38 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField40);
// 
//   }

  @Test
  public void test485() {}
// Defects4J: flaky method
//   @Test
//   public void test485() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.getName();
//     long long10 = offsetDateTimeField4.roundHalfFloor((-1L));
//     int i12 = offsetDateTimeField4.getLeapAmount(60000L);
//     boolean b14 = offsetDateTimeField4.isLeap(220921680010L);
//     int i16 = offsetDateTimeField4.getLeapAmount(0L);
//     org.joda.time.DateTimeZone dateTimeZone17 = null;
//     org.joda.time.DateTime dateTime18 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime20 = dateTime18.withMillis(1L);
//     boolean b21 = dateTime18.isEqualNow();
//     int i22 = dateTime18.getHourOfDay();
//     org.joda.time.DateTime.Property property23 = dateTime18.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime18.toDateTime(dateTimeZone24);
//     org.joda.time.LocalDate localDate26 = dateTime25.toLocalDate();
//     org.joda.time.DateTime.Property property27 = dateTime25.year();
//     org.joda.time.DateTime.Property property28 = dateTime25.yearOfCentury();
//     org.joda.time.DateTimeZone dateTimeZone29 = dateTime25.getZone();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder30 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder33 = dateTimeFormatterBuilder30.appendYear(0, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder36 = dateTimeFormatterBuilder33.appendFractionOfSecond(100, 0);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder38 = dateTimeFormatterBuilder36.appendLiteral('a');
//     boolean b39 = dateTimeFormatterBuilder36.canBuildFormatter();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder40 = dateTimeFormatterBuilder36.appendTimeZoneShortName();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder43 = dateTimeFormatterBuilder36.appendWeekyear(1, 100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder45 = dateTimeFormatterBuilder36.appendMillisOfSecond(100);
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder48 = dateTimeFormatterBuilder45.appendFractionOfHour(1970, 968);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter49 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
//     org.joda.time.format.DateTimePrinter dateTimePrinter50 = dateTimeFormatter49.getPrinter();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder51 = new org.joda.time.format.DateTimeFormatterBuilder();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder54 = dateTimeFormatterBuilder51.appendYear(0, 100);
//     org.joda.time.format.DateTimeParser dateTimeParser55 = dateTimeFormatterBuilder51.toParser();
//     org.joda.time.format.DateTimeParser[] dateTimeParser_array56 = new org.joda.time.format.DateTimeParser[] { dateTimeParser55 };
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder57 = dateTimeFormatterBuilder45.append(dateTimePrinter50, dateTimeParser_array56);
//     org.joda.time.chrono.ISOChronology iSOChronology58 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField59 = iSOChronology58.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField60 = iSOChronology58.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField62 = new org.joda.time.field.OffsetDateTimeField(dateTimeField60, 8);
//     int i64 = offsetDateTimeField62.get(10L);
//     java.util.Locale locale66 = null;
//     java.lang.String str67 = offsetDateTimeField62.getAsText(0L, locale66);
//     long long70 = offsetDateTimeField62.set(300000L, 100);
//     int i72 = offsetDateTimeField62.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType73 = offsetDateTimeField62.getType();
//     org.joda.time.DurationFieldType durationFieldType74 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField75 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType74);
//     boolean b77 = unsupportedDurationField75.equals((java.lang.Object)80000);
//     java.lang.Object obj78 = null;
//     boolean b79 = unsupportedDurationField75.equals(obj78);
//     boolean b80 = unsupportedDurationField75.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField81 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType73, (org.joda.time.DurationField)unsupportedDurationField75);
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = unsupportedDateTimeField81.getType();
//     org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder85 = dateTimeFormatterBuilder45.appendSignedDecimal(dateTimeFieldType82, 1, 23);
//     boolean b86 = dateTime25.isSupported(dateTimeFieldType82);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField87 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField4, dateTimeFieldType82);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "minuteOfDay"+ "'", str8.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimePrinter50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser_array56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str67 + "' != '" + "75"+ "'", str67.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long70 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i72 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b77 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b79 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b80 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatterBuilder85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b86 == true);
// 
//   }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeZone dateTimeZone1 = gregorianChronology0.getZone();
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.Chronology chronology3 = gregorianChronology0.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = gregorianChronology0.getDateTimeMillis(488, 21, 85, 3);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);

  }

  @Test
  public void test487() {}
// Defects4J: flaky method
//   @Test
//   public void test487() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     long long7 = offsetDateTimeField4.add(1456070907615L, 100L);
//     java.lang.String str8 = offsetDateTimeField4.toString();
//     org.joda.time.DurationField durationField9 = offsetDateTimeField4.getRangeDurationField();
//     org.joda.time.DateTimeField dateTimeField10 = offsetDateTimeField4.getWrappedField();
//     long long12 = offsetDateTimeField4.roundHalfCeiling(0L);
//     java.util.Locale locale14 = null;
//     java.lang.String str15 = offsetDateTimeField4.getAsText((-3120000L), locale14);
//     org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology16.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField20 = new org.joda.time.field.OffsetDateTimeField(dateTimeField18, 8);
//     long long23 = offsetDateTimeField20.add(1456070907615L, 100L);
//     java.lang.String str24 = offsetDateTimeField20.getName();
//     int i25 = offsetDateTimeField20.getMinimumValue();
//     long long27 = offsetDateTimeField20.remainder(57600001L);
//     org.joda.time.DateTimeZone dateTimeZone28 = null;
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone28);
//     org.joda.time.DateTime dateTime31 = dateTime29.withMillis(1L);
//     boolean b32 = dateTime29.isEqualNow();
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = dateTime29.withChronology(chronology33);
//     org.joda.time.ReadablePeriod readablePeriod35 = null;
//     org.joda.time.DateTime dateTime37 = dateTime34.withPeriodAdded(readablePeriod35, 8);
//     org.joda.time.MutableDateTime mutableDateTime38 = dateTime37.toMutableDateTimeISO();
//     org.joda.time.DateTime dateTime40 = dateTime37.plusMillis(6);
//     org.joda.time.LocalTime localTime41 = dateTime40.toLocalTime();
//     java.util.Locale locale42 = null;
//     java.lang.String str43 = offsetDateTimeField20.getAsText((org.joda.time.ReadablePartial)localTime41, locale42);
//     org.joda.time.chrono.ISOChronology iSOChronology45 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField46 = iSOChronology45.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField47 = iSOChronology45.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField49 = new org.joda.time.field.OffsetDateTimeField(dateTimeField47, 8);
//     long long52 = offsetDateTimeField49.add(1456070907615L, 100L);
//     java.lang.String str53 = offsetDateTimeField49.toString();
//     org.joda.time.chrono.ISOChronology iSOChronology54 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField55 = iSOChronology54.clockhourOfDay();
//     org.joda.time.DurationField durationField56 = iSOChronology54.seconds();
//     org.joda.time.DateTimeZone dateTimeZone57 = null;
//     org.joda.time.DateTime dateTime58 = new org.joda.time.DateTime(dateTimeZone57);
//     org.joda.time.DateTime dateTime60 = dateTime58.withMillis(1L);
//     boolean b61 = dateTime58.isEqualNow();
//     int i62 = dateTime58.getHourOfDay();
//     org.joda.time.DateTime.Property property63 = dateTime58.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone64 = null;
//     org.joda.time.DateTime dateTime65 = dateTime58.toDateTime(dateTimeZone64);
//     org.joda.time.LocalDate localDate66 = dateTime65.toLocalDate();
//     int[] i_array68 = iSOChronology54.get((org.joda.time.ReadablePartial)localDate66, 100L);
//     int i69 = offsetDateTimeField49.getMinimumValue((org.joda.time.ReadablePartial)localDate66);
//     int i71 = offsetDateTimeField49.getLeapAmount((-3119990L));
//     org.joda.time.ReadablePartial readablePartial72 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology73 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeZone dateTimeZone74 = null;
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone74);
//     org.joda.time.DateTime dateTime77 = dateTime75.withMillis(1L);
//     boolean b78 = dateTime75.isEqualNow();
//     int i79 = dateTime75.getHourOfDay();
//     org.joda.time.DateTime.Property property80 = dateTime75.dayOfMonth();
//     org.joda.time.DateTimeZone dateTimeZone81 = null;
//     org.joda.time.DateTime dateTime82 = dateTime75.toDateTime(dateTimeZone81);
//     org.joda.time.LocalDate localDate83 = dateTime82.toLocalDate();
//     int[] i_array85 = iSOChronology73.get((org.joda.time.ReadablePartial)localDate83, 0L);
//     int i86 = offsetDateTimeField49.getMinimumValue(readablePartial72, i_array85);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array88 = offsetDateTimeField4.addWrapPartial((org.joda.time.ReadablePartial)localTime41, 19, i_array85, 18);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str8.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "23"+ "'", str15.equals("23"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long23 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "minuteOfDay"+ "'", str24.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b32 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "335"+ "'", str43.equals("335"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long52 == 1456076907615L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str53 + "' != '" + "DateTimeField[minuteOfDay]"+ "'", str53.equals("DateTimeField[minuteOfDay]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b61 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i62 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b78 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i86 == 8);
// 
//   }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 58080000L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    java.util.TimeZone timeZone1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone2, 4);
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime((-3119990L), (org.joda.time.Chronology)gregorianChronology4);
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology4.add(0L, 1456070907615L, 68127615);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.centuries();
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str9 = dateTimeZone7.getName(1L);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone7.isLocalDateTimeGap(localDateTime10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone7.getName(800L, locale13);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone7);
    org.joda.time.DateTimeZone dateTimeZone16 = zonedChronology15.getZone();
    org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 7);
    java.lang.String str21 = dateTimeZone19.getName(1L);
    org.joda.time.LocalDateTime localDateTime22 = null;
    boolean b23 = dateTimeZone19.isLocalDateTimeGap(localDateTime22);
    org.joda.time.chrono.GregorianChronology gregorianChronology24 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone19);
    org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone19);
    org.joda.time.Chronology chronology26 = zonedChronology15.withZone(dateTimeZone19);
    org.joda.time.DurationField durationField27 = zonedChronology15.centuries();
    // The following exception was thrown during execution in test generation
    try {
      long long32 = zonedChronology15.getDateTimeMillis(237, (-1), 24, 20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:07"+ "'", str9.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:07"+ "'", str14.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "+01:07"+ "'", str21.equals("+01:07"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField27);

  }

  @Test
  public void test491() {}
// Defects4J: flaky method
//   @Test
//   public void test491() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DurationField durationField25 = unsupportedDateTimeField23.getDurationField();
//     boolean b26 = unsupportedDateTimeField23.isLenient();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i27 = unsupportedDateTimeField23.getMinimumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
// 
//   }

  @Test
  public void test492() {}
// Defects4J: flaky method
//   @Test
//   public void test492() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long26 = unsupportedDateTimeField23.remainder(1456012860000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
// 
//   }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeZone dateTimeZone1 = gregorianChronology0.getZone();
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.Chronology chronology3 = gregorianChronology0.withUTC();
    java.lang.String str4 = gregorianChronology0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "GregorianChronology[UTC]"+ "'", str4.equals("GregorianChronology[UTC]"));

  }

  @Test
  public void test494() {}
// Defects4J: flaky method
//   @Test
//   public void test494() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     java.util.Locale locale26 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str27 = unsupportedDateTimeField23.getAsShortText(99L, locale26);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
// 
//   }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(dateTimeZone0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillis(1L);
    org.joda.time.DateTime dateTime5 = dateTime1.withYearOfCentury(8);
    org.joda.time.DateTime dateTime8 = dateTime1.withDurationAdded(1456070907615L, 100);
    org.joda.time.DateTime.Property property9 = dateTime8.secondOfMinute();
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime11 = dateTime8.plus(readablePeriod10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime16 = dateTime8.withTime((-28799993), (-15), (-1971), 68127);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test496() {}
// Defects4J: flaky method
//   @Test
//   public void test496() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DurationField durationField2 = iSOChronology0.seconds();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.clockhourOfDay();
//     java.lang.String str4 = iSOChronology0.toString();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
//     java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
//     java.lang.Number number10 = illegalFieldValueException7.getLowerBound();
//     java.lang.String str11 = illegalFieldValueException7.getIllegalStringValue();
//     boolean b12 = iSOChronology0.equals((java.lang.Object)str11);
//     org.joda.time.ReadablePeriod readablePeriod13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array16 = iSOChronology0.get(readablePeriod13, 462153600000L, (-187199400000L));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "ISOChronology[+01:07]"+ "'", str4.equals("ISOChronology[+01:07]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(dateTimeFieldType8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(number10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
// 
//   }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendPaddedInteger(stringBuffer0, (-4020000), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test499() {}
// Defects4J: flaky method
//   @Test
//   public void test499() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField24 = unsupportedDateTimeField23.getRangeDurationField();
//     org.joda.time.DurationField durationField25 = unsupportedDateTimeField23.getDurationField();
//     boolean b26 = unsupportedDateTimeField23.isLenient();
//     java.util.Locale locale29 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long30 = unsupportedDateTimeField23.set(462169680010L, "15:59:59.999", locale29);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
// 
//   }

  @Test
  public void test500() {}
// Defects4J: flaky method
//   @Test
//   public void test500() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 8);
//     int i6 = offsetDateTimeField4.get(10L);
//     java.util.Locale locale8 = null;
//     java.lang.String str9 = offsetDateTimeField4.getAsText(0L, locale8);
//     long long12 = offsetDateTimeField4.set(300000L, 100);
//     int i14 = offsetDateTimeField4.getLeapAmount(57600001L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField4.getType();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     boolean b19 = unsupportedDurationField17.equals((java.lang.Object)80000);
//     java.lang.Object obj20 = null;
//     boolean b21 = unsupportedDurationField17.equals(obj20);
//     boolean b22 = unsupportedDurationField17.isSupported();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField23 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType15, (org.joda.time.DurationField)unsupportedDurationField17);
//     boolean b24 = unsupportedDateTimeField23.isLenient();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str26 = unsupportedDateTimeField23.getAsShortText(1456070880000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "75"+ "'", str9.equals("75"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 1500000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
// 
//   }

}
